import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AccessContextManagerAccessPolicyConfig extends TerraformMetaArguments {
    /**
     * The parent of this AccessPolicy in the Cloud Resource Hierarchy.
     *
     * Format: organizations/{organization_id}
     */
    readonly parent: string;
    /**
     * Human readable title.
     *
     * Does not affect behavior.
     */
    readonly title: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AccessContextManagerAccessPolicyTimeouts;
}
/**
 *
 */
export interface AccessContextManagerAccessPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AccessContextManagerAccessPolicy extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AccessContextManagerAccessPolicyConfig);
    /**
     *
     */
    get createTime(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get name(): string;
    private _parent;
    /**
     *
     */
    get parent(): string;
    /**
     *
     */
    set parent(value: string);
    /**
     *
     */
    get parentInput(): string;
    private _title;
    /**
     *
     */
    get title(): string;
    /**
     *
     */
    set title(value: string);
    /**
     *
     */
    get titleInput(): string;
    /**
     *
     */
    get updateTime(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AccessContextManagerAccessPolicyTimeouts;
    /**
     *
     */
    set timeouts(value: AccessContextManagerAccessPolicyTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): AccessContextManagerAccessPolicyTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
