import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BigtableInstanceIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly instance: string;
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: BigtableInstanceIamMemberCondition[];
}
/**
 *
 */
export interface BigtableInstanceIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class BigtableInstanceIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BigtableInstanceIamMemberConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _instance;
    /**
     *
     */
    get instance(): string;
    /**
     *
     */
    set instance(value: string);
    /**
     *
     */
    get instanceInput(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): BigtableInstanceIamMemberCondition[];
    /**
     *
     */
    set condition(value: BigtableInstanceIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): BigtableInstanceIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
