import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BigtableTableIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly instance: string;
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly table: string;
    /**
     * condition block.
     */
    readonly condition?: BigtableTableIamBindingCondition[];
}
/**
 *
 */
export interface BigtableTableIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class BigtableTableIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BigtableTableIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _instance;
    /**
     *
     */
    get instance(): string;
    /**
     *
     */
    set instance(value: string);
    /**
     *
     */
    get instanceInput(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _table;
    /**
     *
     */
    get table(): string;
    /**
     *
     */
    set table(value: string);
    /**
     *
     */
    get tableInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): BigtableTableIamBindingCondition[];
    /**
     *
     */
    set condition(value: BigtableTableIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): BigtableTableIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
