import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BinaryAuthorizationAttestorIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly attestor: string;
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: BinaryAuthorizationAttestorIamMemberCondition[];
}
/**
 *
 */
export interface BinaryAuthorizationAttestorIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class BinaryAuthorizationAttestorIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BinaryAuthorizationAttestorIamMemberConfig);
    private _attestor;
    /**
     *
     */
    get attestor(): string;
    /**
     *
     */
    set attestor(value: string);
    /**
     *
     */
    get attestorInput(): string;
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): BinaryAuthorizationAttestorIamMemberCondition[];
    /**
     *
     */
    set condition(value: BinaryAuthorizationAttestorIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): BinaryAuthorizationAttestorIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
