import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ComputeBackendBucketSignedUrlKeyConfig extends TerraformMetaArguments {
    /**
     * The backend bucket this signed URL key belongs.
     */
    readonly backendBucket: string;
    /**
     * 128-bit key value used for signing the URL.
     *
     * The key value must be a
     * valid RFC 4648 Section 5 base64url encoded string.
     */
    readonly keyValue: string;
    /**
     * Name of the signed URL key.
     */
    readonly name: string;
    /**
     *
     */
    readonly project?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ComputeBackendBucketSignedUrlKeyTimeouts;
}
/**
 *
 */
export interface ComputeBackendBucketSignedUrlKeyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
}
/**
 *
 */
export declare class ComputeBackendBucketSignedUrlKey extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ComputeBackendBucketSignedUrlKeyConfig);
    private _backendBucket;
    /**
     *
     */
    get backendBucket(): string;
    /**
     *
     */
    set backendBucket(value: string);
    /**
     *
     */
    get backendBucketInput(): string;
    /**
     *
     */
    get id(): string;
    private _keyValue;
    /**
     *
     */
    get keyValue(): string;
    /**
     *
     */
    set keyValue(value: string);
    /**
     *
     */
    get keyValueInput(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ComputeBackendBucketSignedUrlKeyTimeouts;
    /**
     *
     */
    set timeouts(value: ComputeBackendBucketSignedUrlKeyTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ComputeBackendBucketSignedUrlKeyTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
