import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ComputeGlobalNetworkEndpointGroupConfig extends TerraformMetaArguments {
    /**
     * The default port used if the port number is not specified in the network endpoint.
     */
    readonly defaultPort?: number;
    /**
     * An optional description of this resource.
     *
     * Provide this property when
     * you create the resource.
     */
    readonly description?: string;
    /**
     * Name of the resource;
     *
     * provided by the client when the resource is
     * created. The name must be 1-63 characters long, and comply with
     * RFC1035. Specifically, the name must be 1-63 characters long and match
     * the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means the
     * first character must be a lowercase letter, and all following
     * characters must be a dash, lowercase letter, or digit, except the last
     * character, which cannot be a dash.
     */
    readonly name: string;
    /**
     * Type of network endpoints in this network endpoint group.
     *
     * Possible values: ["INTERNET_IP_PORT", "INTERNET_FQDN_PORT"]
     */
    readonly networkEndpointType: string;
    /**
     *
     */
    readonly project?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ComputeGlobalNetworkEndpointGroupTimeouts;
}
/**
 *
 */
export interface ComputeGlobalNetworkEndpointGroupTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
}
/**
 *
 */
export declare class ComputeGlobalNetworkEndpointGroup extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ComputeGlobalNetworkEndpointGroupConfig);
    private _defaultPort?;
    /**
     *
     */
    get defaultPort(): number;
    /**
     *
     */
    set defaultPort(value: number);
    /**
     *
     */
    resetDefaultPort(): void;
    /**
     *
     */
    get defaultPortInput(): number | undefined;
    private _description?;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    set description(value: string);
    /**
     *
     */
    resetDescription(): void;
    /**
     *
     */
    get descriptionInput(): string | undefined;
    /**
     *
     */
    get id(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _networkEndpointType;
    /**
     *
     */
    get networkEndpointType(): string;
    /**
     *
     */
    set networkEndpointType(value: string);
    /**
     *
     */
    get networkEndpointTypeInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    get selfLink(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ComputeGlobalNetworkEndpointGroupTimeouts;
    /**
     *
     */
    set timeouts(value: ComputeGlobalNetworkEndpointGroupTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ComputeGlobalNetworkEndpointGroupTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
