import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ComputeGlobalNetworkEndpointConfig extends TerraformMetaArguments {
    /**
     * Fully qualified domain name of network endpoint.
     *
     * This can only be specified when network_endpoint_type of the NEG is INTERNET_FQDN_PORT.
     */
    readonly fqdn?: string;
    /**
     * The global network endpoint group this endpoint is part of.
     */
    readonly globalNetworkEndpointGroup: string;
    /**
     * IPv4 address external endpoint.
     */
    readonly ipAddress?: string;
    /**
     * Port number of the external endpoint.
     */
    readonly port: number;
    /**
     *
     */
    readonly project?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ComputeGlobalNetworkEndpointTimeouts;
}
/**
 *
 */
export interface ComputeGlobalNetworkEndpointTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
}
/**
 *
 */
export declare class ComputeGlobalNetworkEndpoint extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ComputeGlobalNetworkEndpointConfig);
    private _fqdn?;
    /**
     *
     */
    get fqdn(): string;
    /**
     *
     */
    set fqdn(value: string);
    /**
     *
     */
    resetFqdn(): void;
    /**
     *
     */
    get fqdnInput(): string | undefined;
    private _globalNetworkEndpointGroup;
    /**
     *
     */
    get globalNetworkEndpointGroup(): string;
    /**
     *
     */
    set globalNetworkEndpointGroup(value: string);
    /**
     *
     */
    get globalNetworkEndpointGroupInput(): string;
    /**
     *
     */
    get id(): string;
    private _ipAddress?;
    /**
     *
     */
    get ipAddress(): string;
    /**
     *
     */
    set ipAddress(value: string);
    /**
     *
     */
    resetIpAddress(): void;
    /**
     *
     */
    get ipAddressInput(): string | undefined;
    private _port;
    /**
     *
     */
    get port(): number;
    /**
     *
     */
    set port(value: number);
    /**
     *
     */
    get portInput(): number;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ComputeGlobalNetworkEndpointTimeouts;
    /**
     *
     */
    set timeouts(value: ComputeGlobalNetworkEndpointTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ComputeGlobalNetworkEndpointTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
