import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ComputeImageIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly image: string;
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: ComputeImageIamBindingCondition[];
}
/**
 *
 */
export interface ComputeImageIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class ComputeImageIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ComputeImageIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _image;
    /**
     *
     */
    get image(): string;
    /**
     *
     */
    set image(value: string);
    /**
     *
     */
    get imageInput(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): ComputeImageIamBindingCondition[];
    /**
     *
     */
    set condition(value: ComputeImageIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): ComputeImageIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
