import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ComputeRegionDiskResourcePolicyAttachmentConfig extends TerraformMetaArguments {
    /**
     * The name of the regional disk in which the resource policies are attached to.
     */
    readonly disk: string;
    /**
     * The resource policy to be attached to the disk for scheduling snapshot creation.
     *
     * Do not specify the self link.
     */
    readonly name: string;
    /**
     *
     */
    readonly project?: string;
    /**
     * A reference to the region where the disk resides.
     */
    readonly region?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ComputeRegionDiskResourcePolicyAttachmentTimeouts;
}
/**
 *
 */
export interface ComputeRegionDiskResourcePolicyAttachmentTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
}
/**
 *
 */
export declare class ComputeRegionDiskResourcePolicyAttachment extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ComputeRegionDiskResourcePolicyAttachmentConfig);
    private _disk;
    /**
     *
     */
    get disk(): string;
    /**
     *
     */
    set disk(value: string);
    /**
     *
     */
    get diskInput(): string;
    /**
     *
     */
    get id(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _region?;
    /**
     *
     */
    get region(): string;
    /**
     *
     */
    set region(value: string);
    /**
     *
     */
    resetRegion(): void;
    /**
     *
     */
    get regionInput(): string | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ComputeRegionDiskResourcePolicyAttachmentTimeouts;
    /**
     *
     */
    set timeouts(value: ComputeRegionDiskResourcePolicyAttachmentTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ComputeRegionDiskResourcePolicyAttachmentTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
