import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ComputeSharedVpcHostProjectConfig extends TerraformMetaArguments {
    /**
     * The ID of the project that will serve as a Shared VPC host project.
     */
    readonly project: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ComputeSharedVpcHostProjectTimeouts;
}
/**
 *
 */
export interface ComputeSharedVpcHostProjectTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
}
/**
 *
 */
export declare class ComputeSharedVpcHostProject extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ComputeSharedVpcHostProjectConfig);
    /**
     *
     */
    get id(): string;
    private _project;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    get projectInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ComputeSharedVpcHostProjectTimeouts;
    /**
     *
     */
    set timeouts(value: ComputeSharedVpcHostProjectTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ComputeSharedVpcHostProjectTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
