import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ComputeSharedVpcServiceProjectConfig extends TerraformMetaArguments {
    /**
     * The ID of a host project to associate.
     */
    readonly hostProject: string;
    /**
     * The ID of the project that will serve as a Shared VPC service project.
     */
    readonly serviceProject: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ComputeSharedVpcServiceProjectTimeouts;
}
/**
 *
 */
export interface ComputeSharedVpcServiceProjectTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
}
/**
 *
 */
export declare class ComputeSharedVpcServiceProject extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ComputeSharedVpcServiceProjectConfig);
    private _hostProject;
    /**
     *
     */
    get hostProject(): string;
    /**
     *
     */
    set hostProject(value: string);
    /**
     *
     */
    get hostProjectInput(): string;
    /**
     *
     */
    get id(): string;
    private _serviceProject;
    /**
     *
     */
    get serviceProject(): string;
    /**
     *
     */
    set serviceProject(value: string);
    /**
     *
     */
    get serviceProjectInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ComputeSharedVpcServiceProjectTimeouts;
    /**
     *
     */
    set timeouts(value: ComputeSharedVpcServiceProjectTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ComputeSharedVpcServiceProjectTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
