import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ComputeSubnetworkIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly region?: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly subnetwork: string;
    /**
     * condition block.
     */
    readonly condition?: ComputeSubnetworkIamBindingCondition[];
}
/**
 *
 */
export interface ComputeSubnetworkIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class ComputeSubnetworkIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ComputeSubnetworkIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _region?;
    /**
     *
     */
    get region(): string;
    /**
     *
     */
    set region(value: string);
    /**
     *
     */
    resetRegion(): void;
    /**
     *
     */
    get regionInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _subnetwork;
    /**
     *
     */
    get subnetwork(): string;
    /**
     *
     */
    set subnetwork(value: string);
    /**
     *
     */
    get subnetworkInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): ComputeSubnetworkIamBindingCondition[];
    /**
     *
     */
    set condition(value: ComputeSubnetworkIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): ComputeSubnetworkIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
