import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ContainerRegistryConfig extends TerraformMetaArguments {
    /**
     * The location of the registry.
     *
     * One of ASIA, EU, US or not specified. See the official documentation for more information on registry locations.
     */
    readonly location?: string;
    /**
     * The ID of the project in which the resource belongs.
     *
     * If it is not provided, the provider project is used.
     */
    readonly project?: string;
}
/**
 *
 */
export declare class ContainerRegistry extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: ContainerRegistryConfig);
    /**
     *
     */
    get bucketSelfLink(): string;
    /**
     *
     */
    get id(): string;
    private _location?;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    resetLocation(): void;
    /**
     *
     */
    get locationInput(): string | undefined;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
