import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataGoogleCloudfunctionsFunctionConfig extends TerraformMetaArguments {
    /**
     * A user-defined name of the function.
     *
     * Function names must be unique globally.
     */
    readonly name: string;
    /**
     * Project of the function.
     *
     * If it is not provided, the provider project is used.
     */
    readonly project?: string;
    /**
     * Region of function.
     *
     * Currently can be only "us-central1". If it is not provided, the provider region is used.
     */
    readonly region?: string;
}
/**
 *
 */
export declare class DataGoogleCloudfunctionsFunctionEventTriggerFailurePolicy extends ComplexComputedList {
    /**
     *
     */
    get retry(): boolean;
}
/**
 *
 */
export declare class DataGoogleCloudfunctionsFunctionEventTrigger extends ComplexComputedList {
    /**
     *
     */
    get eventType(): string;
    /**
     *
     */
    get failurePolicy(): any;
    /**
     *
     */
    get resource(): string;
}
/**
 *
 */
export declare class DataGoogleCloudfunctionsFunctionSourceRepository extends ComplexComputedList {
    /**
     *
     */
    get deployedUrl(): string;
    /**
     *
     */
    get url(): string;
}
/**
 *
 */
export declare class DataGoogleCloudfunctionsFunction extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGoogleCloudfunctionsFunctionConfig);
    /**
     *
     */
    get availableMemoryMb(): number;
    /**
     *
     */
    buildEnvironmentVariables(key: string): string;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get entryPoint(): string;
    /**
     *
     */
    environmentVariables(key: string): string;
    /**
     *
     */
    eventTrigger(index: string): DataGoogleCloudfunctionsFunctionEventTrigger;
    /**
     *
     */
    get httpsTriggerUrl(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get ingressSettings(): string;
    /**
     *
     */
    labels(key: string): string;
    /**
     *
     */
    get maxInstances(): number;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _region?;
    /**
     *
     */
    get region(): string;
    /**
     *
     */
    set region(value: string);
    /**
     *
     */
    resetRegion(): void;
    /**
     *
     */
    get regionInput(): string | undefined;
    /**
     *
     */
    get runtime(): string;
    /**
     *
     */
    get serviceAccountEmail(): string;
    /**
     *
     */
    get sourceArchiveBucket(): string;
    /**
     *
     */
    get sourceArchiveObject(): string;
    /**
     *
     */
    sourceRepository(index: string): DataGoogleCloudfunctionsFunctionSourceRepository;
    /**
     *
     */
    get timeout(): number;
    /**
     *
     */
    get triggerHttp(): boolean;
    /**
     *
     */
    get vpcConnector(): string;
    /**
     *
     */
    get vpcConnectorEgressSettings(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
