import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataGoogleComputeBackendServiceConfig extends TerraformMetaArguments {
    /**
     * Name of the resource.
     *
     * Provided by the client when the resource is
     * created. The name must be 1-63 characters long, and comply with
     * RFC1035. Specifically, the name must be 1-63 characters long and match
     * the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means the
     * first character must be a lowercase letter, and all following
     * characters must be a dash, lowercase letter, or digit, except the last
     * character, which cannot be a dash.
     */
    readonly name: string;
    /**
     *
     */
    readonly project?: string;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceBackend extends ComplexComputedList {
    /**
     *
     */
    get balancingMode(): string;
    /**
     *
     */
    get capacityScaler(): number;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get group(): string;
    /**
     *
     */
    get maxConnections(): number;
    /**
     *
     */
    get maxConnectionsPerEndpoint(): number;
    /**
     *
     */
    get maxConnectionsPerInstance(): number;
    /**
     *
     */
    get maxRate(): number;
    /**
     *
     */
    get maxRatePerEndpoint(): number;
    /**
     *
     */
    get maxRatePerInstance(): number;
    /**
     *
     */
    get maxUtilization(): number;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceCdnPolicyCacheKeyPolicy extends ComplexComputedList {
    /**
     *
     */
    get includeHost(): boolean;
    /**
     *
     */
    get includeProtocol(): boolean;
    /**
     *
     */
    get includeQueryString(): boolean;
    /**
     *
     */
    get queryStringBlacklist(): string[];
    /**
     *
     */
    get queryStringWhitelist(): string[];
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceCdnPolicy extends ComplexComputedList {
    /**
     *
     */
    get cacheKeyPolicy(): any;
    /**
     *
     */
    get signedUrlCacheMaxAgeSec(): number;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceCircuitBreakers extends ComplexComputedList {
    /**
     *
     */
    get maxConnections(): number;
    /**
     *
     */
    get maxPendingRequests(): number;
    /**
     *
     */
    get maxRequests(): number;
    /**
     *
     */
    get maxRequestsPerConnection(): number;
    /**
     *
     */
    get maxRetries(): number;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceConsistentHashHttpCookieTtl extends ComplexComputedList {
    /**
     *
     */
    get nanos(): number;
    /**
     *
     */
    get seconds(): number;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceConsistentHashHttpCookie extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get path(): string;
    /**
     *
     */
    get ttl(): any;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceConsistentHash extends ComplexComputedList {
    /**
     *
     */
    get httpCookie(): any;
    /**
     *
     */
    get httpHeaderName(): string;
    /**
     *
     */
    get minimumRingSize(): number;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceIap extends ComplexComputedList {
    /**
     *
     */
    get oauth2ClientId(): string;
    /**
     *
     */
    get oauth2ClientSecret(): string;
    /**
     *
     */
    get oauth2ClientSecretSha256(): string;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceLogConfig extends ComplexComputedList {
    /**
     *
     */
    get enable(): boolean;
    /**
     *
     */
    get sampleRate(): number;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceOutlierDetectionBaseEjectionTime extends ComplexComputedList {
    /**
     *
     */
    get nanos(): number;
    /**
     *
     */
    get seconds(): number;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceOutlierDetectionInterval extends ComplexComputedList {
    /**
     *
     */
    get nanos(): number;
    /**
     *
     */
    get seconds(): number;
}
/**
 *
 */
export declare class DataGoogleComputeBackendServiceOutlierDetection extends ComplexComputedList {
    /**
     *
     */
    get baseEjectionTime(): any;
    /**
     *
     */
    get consecutiveErrors(): number;
    /**
     *
     */
    get consecutiveGatewayFailure(): number;
    /**
     *
     */
    get enforcingConsecutiveErrors(): number;
    /**
     *
     */
    get enforcingConsecutiveGatewayFailure(): number;
    /**
     *
     */
    get enforcingSuccessRate(): number;
    /**
     *
     */
    get interval(): any;
    /**
     *
     */
    get maxEjectionPercent(): number;
    /**
     *
     */
    get successRateMinimumHosts(): number;
    /**
     *
     */
    get successRateRequestVolume(): number;
    /**
     *
     */
    get successRateStdevFactor(): number;
}
/**
 *
 */
export declare class DataGoogleComputeBackendService extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGoogleComputeBackendServiceConfig);
    /**
     *
     */
    get affinityCookieTtlSec(): number;
    /**
     *
     */
    backend(index: string): DataGoogleComputeBackendServiceBackend;
    /**
     *
     */
    cdnPolicy(index: string): DataGoogleComputeBackendServiceCdnPolicy;
    /**
     *
     */
    circuitBreakers(index: string): DataGoogleComputeBackendServiceCircuitBreakers;
    /**
     *
     */
    get connectionDrainingTimeoutSec(): number;
    /**
     *
     */
    consistentHash(index: string): DataGoogleComputeBackendServiceConsistentHash;
    /**
     *
     */
    get creationTimestamp(): string;
    /**
     *
     */
    get customRequestHeaders(): string[];
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get enableCdn(): boolean;
    /**
     *
     */
    get fingerprint(): string;
    /**
     *
     */
    get healthChecks(): string[];
    /**
     *
     */
    iap(index: string): DataGoogleComputeBackendServiceIap;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get loadBalancingScheme(): string;
    /**
     *
     */
    get localityLbPolicy(): string;
    /**
     *
     */
    logConfig(index: string): DataGoogleComputeBackendServiceLogConfig;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    /**
     *
     */
    outlierDetection(index: string): DataGoogleComputeBackendServiceOutlierDetection;
    /**
     *
     */
    get portName(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    get protocol(): string;
    /**
     *
     */
    get securityPolicy(): string;
    /**
     *
     */
    get selfLink(): string;
    /**
     *
     */
    get sessionAffinity(): string;
    /**
     *
     */
    get timeoutSec(): number;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
