import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGoogleComputeForwardingRuleConfig extends TerraformMetaArguments {
    /**
     * Name of the resource;
     *
     * provided by the client when the resource is
     * created. The name must be 1-63 characters long, and comply with
     * RFC1035. Specifically, the name must be 1-63 characters long and match
     * the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means the
     * first character must be a lowercase letter, and all following
     * characters must be a dash, lowercase letter, or digit, except the last
     * character, which cannot be a dash.
     */
    readonly name: string;
    /**
     *
     */
    readonly project?: string;
    /**
     * A reference to the region where the regional forwarding rule resides.
     *
     * This field is not applicable to global forwarding rules.
     */
    readonly region?: string;
}
/**
 *
 */
export declare class DataGoogleComputeForwardingRule extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGoogleComputeForwardingRuleConfig);
    /**
     *
     */
    get allPorts(): boolean;
    /**
     *
     */
    get allowGlobalAccess(): boolean;
    /**
     *
     */
    get backendService(): string;
    /**
     *
     */
    get creationTimestamp(): string;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get ipAddress(): string;
    /**
     *
     */
    get ipProtocol(): string;
    /**
     *
     */
    get loadBalancingScheme(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    /**
     *
     */
    get network(): string;
    /**
     *
     */
    get networkTier(): string;
    /**
     *
     */
    get portRange(): string;
    /**
     *
     */
    get ports(): string[];
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _region?;
    /**
     *
     */
    get region(): string;
    /**
     *
     */
    set region(value: string);
    /**
     *
     */
    resetRegion(): void;
    /**
     *
     */
    get regionInput(): string | undefined;
    /**
     *
     */
    get selfLink(): string;
    /**
     *
     */
    get serviceLabel(): string;
    /**
     *
     */
    get serviceName(): string;
    /**
     *
     */
    get subnetwork(): string;
    /**
     *
     */
    get target(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
