import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataGoogleComputeGlobalForwardingRuleConfig extends TerraformMetaArguments {
    /**
     * Name of the resource;
     *
     * provided by the client when the resource is
     * created. The name must be 1-63 characters long, and comply with
     * RFC1035. Specifically, the name must be 1-63 characters long and match
     * the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means the
     * first character must be a lowercase letter, and all following
     * characters must be a dash, lowercase letter, or digit, except the last
     * character, which cannot be a dash.
     */
    readonly name: string;
    /**
     *
     */
    readonly project?: string;
}
/**
 *
 */
export declare class DataGoogleComputeGlobalForwardingRuleMetadataFiltersFilterLabels extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get value(): string;
}
/**
 *
 */
export declare class DataGoogleComputeGlobalForwardingRuleMetadataFilters extends ComplexComputedList {
    /**
     *
     */
    get filterLabels(): any;
    /**
     *
     */
    get filterMatchCriteria(): string;
}
/**
 *
 */
export declare class DataGoogleComputeGlobalForwardingRule extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGoogleComputeGlobalForwardingRuleConfig);
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get ipAddress(): string;
    /**
     *
     */
    get ipProtocol(): string;
    /**
     *
     */
    get ipVersion(): string;
    /**
     *
     */
    get loadBalancingScheme(): string;
    /**
     *
     */
    metadataFilters(index: string): DataGoogleComputeGlobalForwardingRuleMetadataFilters;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    /**
     *
     */
    get portRange(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    get selfLink(): string;
    /**
     *
     */
    get target(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
