import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGoogleComputeNetworkEndpointGroupConfig extends TerraformMetaArguments {
    /**
     * Name of the resource;
     *
     * provided by the client when the resource is
     * created. The name must be 1-63 characters long, and comply with
     * RFC1035. Specifically, the name must be 1-63 characters long and match
     * the regular expression '[a-z]([-a-z0-9]*[a-z0-9])?' which means the
     * first character must be a lowercase letter, and all following
     * characters must be a dash, lowercase letter, or digit, except the last
     * character, which cannot be a dash.
     */
    readonly name?: string;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly selfLink?: string;
    /**
     * Zone where the network endpoint group is located.
     */
    readonly zone?: string;
}
/**
 *
 */
export declare class DataGoogleComputeNetworkEndpointGroup extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataGoogleComputeNetworkEndpointGroupConfig);
    /**
     *
     */
    get defaultPort(): number;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get id(): string;
    private _name?;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    resetName(): void;
    /**
     *
     */
    get nameInput(): string | undefined;
    /**
     *
     */
    get network(): string;
    /**
     *
     */
    get networkEndpointType(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _selfLink?;
    /**
     *
     */
    get selfLink(): string;
    /**
     *
     */
    set selfLink(value: string);
    /**
     *
     */
    resetSelfLink(): void;
    /**
     *
     */
    get selfLinkInput(): string | undefined;
    /**
     *
     */
    get size(): number;
    /**
     *
     */
    get subnetwork(): string;
    private _zone?;
    /**
     *
     */
    get zone(): string;
    /**
     *
     */
    set zone(value: string);
    /**
     *
     */
    resetZone(): void;
    /**
     *
     */
    get zoneInput(): string | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
