import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataGoogleComputeSubnetworkConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly region?: string;
    /**
     *
     */
    readonly selfLink?: string;
}
/**
 *
 */
export declare class DataGoogleComputeSubnetworkSecondaryIpRange extends ComplexComputedList {
    /**
     *
     */
    get ipCidrRange(): string;
    /**
     *
     */
    get rangeName(): string;
}
/**
 *
 */
export declare class DataGoogleComputeSubnetwork extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataGoogleComputeSubnetworkConfig);
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get gatewayAddress(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get ipCidrRange(): string;
    private _name?;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    resetName(): void;
    /**
     *
     */
    get nameInput(): string | undefined;
    /**
     *
     */
    get network(): string;
    /**
     *
     */
    get privateIpGoogleAccess(): boolean;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _region?;
    /**
     *
     */
    get region(): string;
    /**
     *
     */
    set region(value: string);
    /**
     *
     */
    resetRegion(): void;
    /**
     *
     */
    get regionInput(): string | undefined;
    /**
     *
     */
    secondaryIpRange(index: string): DataGoogleComputeSubnetworkSecondaryIpRange;
    private _selfLink?;
    /**
     *
     */
    get selfLink(): string;
    /**
     *
     */
    set selfLink(value: string);
    /**
     *
     */
    resetSelfLink(): void;
    /**
     *
     */
    get selfLinkInput(): string | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
