import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataGoogleContainerClusterConfig extends TerraformMetaArguments {
    /**
     * The location (region or zone) in which the cluster master will be created, as well as the default node location.
     *
     * If you specify a zone (such as us-central1-a), the cluster will be a zonal cluster with a single cluster master. If you specify a region (such as us-west1), the cluster will be a regional cluster with multiple masters spread across zones in the region, and with default node locations in those zones as well.
     */
    readonly location?: string;
    /**
     * The name of the cluster, unique within the project and location.
     */
    readonly name: string;
    /**
     * The ID of the project in which the resource belongs.
     *
     * If it is not provided, the provider project is used.
     */
    readonly project?: string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterAddonsConfigCloudrunConfig extends ComplexComputedList {
    /**
     *
     */
    get disabled(): boolean;
    /**
     *
     */
    get loadBalancerType(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterAddonsConfigHorizontalPodAutoscaling extends ComplexComputedList {
    /**
     *
     */
    get disabled(): boolean;
}
/**
 *
 */
export declare class DataGoogleContainerClusterAddonsConfigHttpLoadBalancing extends ComplexComputedList {
    /**
     *
     */
    get disabled(): boolean;
}
/**
 *
 */
export declare class DataGoogleContainerClusterAddonsConfigNetworkPolicyConfig extends ComplexComputedList {
    /**
     *
     */
    get disabled(): boolean;
}
/**
 *
 */
export declare class DataGoogleContainerClusterAddonsConfig extends ComplexComputedList {
    /**
     *
     */
    get cloudrunConfig(): any;
    /**
     *
     */
    get horizontalPodAutoscaling(): any;
    /**
     *
     */
    get httpLoadBalancing(): any;
    /**
     *
     */
    get networkPolicyConfig(): any;
}
/**
 *
 */
export declare class DataGoogleContainerClusterAuthenticatorGroupsConfig extends ComplexComputedList {
    /**
     *
     */
    get securityGroup(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterClusterAutoscalingAutoProvisioningDefaults extends ComplexComputedList {
    /**
     *
     */
    get oauthScopes(): string[];
    /**
     *
     */
    get serviceAccount(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterClusterAutoscalingResourceLimits extends ComplexComputedList {
    /**
     *
     */
    get maximum(): number;
    /**
     *
     */
    get minimum(): number;
    /**
     *
     */
    get resourceType(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterClusterAutoscaling extends ComplexComputedList {
    /**
     *
     */
    get autoProvisioningDefaults(): any;
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    get resourceLimits(): any;
}
/**
 *
 */
export declare class DataGoogleContainerClusterDatabaseEncryption extends ComplexComputedList {
    /**
     *
     */
    get keyName(): string;
    /**
     *
     */
    get state(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterIpAllocationPolicy extends ComplexComputedList {
    /**
     *
     */
    get clusterIpv4CidrBlock(): string;
    /**
     *
     */
    get clusterSecondaryRangeName(): string;
    /**
     *
     */
    get servicesIpv4CidrBlock(): string;
    /**
     *
     */
    get servicesSecondaryRangeName(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterMaintenancePolicyDailyMaintenanceWindow extends ComplexComputedList {
    /**
     *
     */
    get duration(): string;
    /**
     *
     */
    get startTime(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterMaintenancePolicyRecurringWindow extends ComplexComputedList {
    /**
     *
     */
    get endTime(): string;
    /**
     *
     */
    get recurrence(): string;
    /**
     *
     */
    get startTime(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterMaintenancePolicy extends ComplexComputedList {
    /**
     *
     */
    get dailyMaintenanceWindow(): any;
    /**
     *
     */
    get recurringWindow(): any;
}
/**
 *
 */
export declare class DataGoogleContainerClusterMasterAuthClientCertificateConfig extends ComplexComputedList {
    /**
     *
     */
    get issueClientCertificate(): boolean;
}
/**
 *
 */
export declare class DataGoogleContainerClusterMasterAuth extends ComplexComputedList {
    /**
     *
     */
    get clientCertificate(): string;
    /**
     *
     */
    get clientCertificateConfig(): any;
    /**
     *
     */
    get clientKey(): string;
    /**
     *
     */
    get clusterCaCertificate(): string;
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    get username(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterMasterAuthorizedNetworksConfigCidrBlocks extends ComplexComputedList {
    /**
     *
     */
    get cidrBlock(): string;
    /**
     *
     */
    get displayName(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterMasterAuthorizedNetworksConfig extends ComplexComputedList {
    /**
     *
     */
    get cidrBlocks(): any;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNetworkPolicy extends ComplexComputedList {
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    get provider(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodeConfigGuestAccelerator extends ComplexComputedList {
    /**
     *
     */
    get count(): number;
    /**
     *
     */
    get type(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodeConfigShieldedInstanceConfig extends ComplexComputedList {
    /**
     *
     */
    get enableIntegrityMonitoring(): boolean;
    /**
     *
     */
    get enableSecureBoot(): boolean;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodeConfigTaint extends ComplexComputedList {
    /**
     *
     */
    get effect(): string;
    /**
     *
     */
    get key(): string;
    /**
     *
     */
    get value(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodeConfigWorkloadMetadataConfig extends ComplexComputedList {
    /**
     *
     */
    get nodeMetadata(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodeConfig extends ComplexComputedList {
    /**
     *
     */
    get diskSizeGb(): number;
    /**
     *
     */
    get diskType(): string;
    /**
     *
     */
    get guestAccelerator(): any;
    /**
     *
     */
    get imageType(): string;
    /**
     *
     */
    get labels(): any;
    /**
     *
     */
    get localSsdCount(): number;
    /**
     *
     */
    get machineType(): string;
    /**
     *
     */
    get metadata(): any;
    /**
     *
     */
    get minCpuPlatform(): string;
    /**
     *
     */
    get oauthScopes(): string[];
    /**
     *
     */
    get preemptible(): boolean;
    /**
     *
     */
    get serviceAccount(): string;
    /**
     *
     */
    get shieldedInstanceConfig(): any;
    /**
     *
     */
    get tags(): string[];
    /**
     *
     */
    get taint(): any;
    /**
     *
     */
    get workloadMetadataConfig(): any;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodePoolAutoscaling extends ComplexComputedList {
    /**
     *
     */
    get maxNodeCount(): number;
    /**
     *
     */
    get minNodeCount(): number;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodePoolManagement extends ComplexComputedList {
    /**
     *
     */
    get autoRepair(): boolean;
    /**
     *
     */
    get autoUpgrade(): boolean;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodePoolNodeConfigGuestAccelerator extends ComplexComputedList {
    /**
     *
     */
    get count(): number;
    /**
     *
     */
    get type(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodePoolNodeConfigShieldedInstanceConfig extends ComplexComputedList {
    /**
     *
     */
    get enableIntegrityMonitoring(): boolean;
    /**
     *
     */
    get enableSecureBoot(): boolean;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodePoolNodeConfigTaint extends ComplexComputedList {
    /**
     *
     */
    get effect(): string;
    /**
     *
     */
    get key(): string;
    /**
     *
     */
    get value(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodePoolNodeConfigWorkloadMetadataConfig extends ComplexComputedList {
    /**
     *
     */
    get nodeMetadata(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodePoolNodeConfig extends ComplexComputedList {
    /**
     *
     */
    get diskSizeGb(): number;
    /**
     *
     */
    get diskType(): string;
    /**
     *
     */
    get guestAccelerator(): any;
    /**
     *
     */
    get imageType(): string;
    /**
     *
     */
    get labels(): any;
    /**
     *
     */
    get localSsdCount(): number;
    /**
     *
     */
    get machineType(): string;
    /**
     *
     */
    get metadata(): any;
    /**
     *
     */
    get minCpuPlatform(): string;
    /**
     *
     */
    get oauthScopes(): string[];
    /**
     *
     */
    get preemptible(): boolean;
    /**
     *
     */
    get serviceAccount(): string;
    /**
     *
     */
    get shieldedInstanceConfig(): any;
    /**
     *
     */
    get tags(): string[];
    /**
     *
     */
    get taint(): any;
    /**
     *
     */
    get workloadMetadataConfig(): any;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodePoolUpgradeSettings extends ComplexComputedList {
    /**
     *
     */
    get maxSurge(): number;
    /**
     *
     */
    get maxUnavailable(): number;
}
/**
 *
 */
export declare class DataGoogleContainerClusterNodePool extends ComplexComputedList {
    /**
     *
     */
    get autoscaling(): any;
    /**
     *
     */
    get initialNodeCount(): number;
    /**
     *
     */
    get instanceGroupUrls(): string[];
    /**
     *
     */
    get management(): any;
    /**
     *
     */
    get maxPodsPerNode(): number;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get namePrefix(): string;
    /**
     *
     */
    get nodeConfig(): any;
    /**
     *
     */
    get nodeCount(): number;
    /**
     *
     */
    get nodeLocations(): string[];
    /**
     *
     */
    get upgradeSettings(): any;
    /**
     *
     */
    get version(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterPodSecurityPolicyConfig extends ComplexComputedList {
    /**
     *
     */
    get enabled(): boolean;
}
/**
 *
 */
export declare class DataGoogleContainerClusterPrivateClusterConfig extends ComplexComputedList {
    /**
     *
     */
    get enablePrivateEndpoint(): boolean;
    /**
     *
     */
    get enablePrivateNodes(): boolean;
    /**
     *
     */
    get masterIpv4CidrBlock(): string;
    /**
     *
     */
    get peeringName(): string;
    /**
     *
     */
    get privateEndpoint(): string;
    /**
     *
     */
    get publicEndpoint(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterReleaseChannel extends ComplexComputedList {
    /**
     *
     */
    get channel(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterResourceUsageExportConfigBigqueryDestination extends ComplexComputedList {
    /**
     *
     */
    get datasetId(): string;
}
/**
 *
 */
export declare class DataGoogleContainerClusterResourceUsageExportConfig extends ComplexComputedList {
    /**
     *
     */
    get bigqueryDestination(): any;
    /**
     *
     */
    get enableNetworkEgressMetering(): boolean;
    /**
     *
     */
    get enableResourceConsumptionMetering(): boolean;
}
/**
 *
 */
export declare class DataGoogleContainerClusterVerticalPodAutoscaling extends ComplexComputedList {
    /**
     *
     */
    get enabled(): boolean;
}
/**
 *
 */
export declare class DataGoogleContainerClusterWorkloadIdentityConfig extends ComplexComputedList {
    /**
     *
     */
    get identityNamespace(): string;
}
/**
 *
 */
export declare class DataGoogleContainerCluster extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGoogleContainerClusterConfig);
    /**
     *
     */
    addonsConfig(index: string): DataGoogleContainerClusterAddonsConfig;
    /**
     *
     */
    authenticatorGroupsConfig(index: string): DataGoogleContainerClusterAuthenticatorGroupsConfig;
    /**
     *
     */
    clusterAutoscaling(index: string): DataGoogleContainerClusterClusterAutoscaling;
    /**
     *
     */
    get clusterIpv4Cidr(): string;
    /**
     *
     */
    databaseEncryption(index: string): DataGoogleContainerClusterDatabaseEncryption;
    /**
     *
     */
    get defaultMaxPodsPerNode(): number;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get enableBinaryAuthorization(): boolean;
    /**
     *
     */
    get enableIntranodeVisibility(): boolean;
    /**
     *
     */
    get enableKubernetesAlpha(): boolean;
    /**
     *
     */
    get enableLegacyAbac(): boolean;
    /**
     *
     */
    get enableShieldedNodes(): boolean;
    /**
     *
     */
    get enableTpu(): boolean;
    /**
     *
     */
    get endpoint(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get initialNodeCount(): number;
    /**
     *
     */
    get instanceGroupUrls(): string[];
    /**
     *
     */
    ipAllocationPolicy(index: string): DataGoogleContainerClusterIpAllocationPolicy;
    /**
     *
     */
    get labelFingerprint(): string;
    private _location?;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    resetLocation(): void;
    /**
     *
     */
    get locationInput(): string | undefined;
    /**
     *
     */
    get loggingService(): string;
    /**
     *
     */
    maintenancePolicy(index: string): DataGoogleContainerClusterMaintenancePolicy;
    /**
     *
     */
    masterAuth(index: string): DataGoogleContainerClusterMasterAuth;
    /**
     *
     */
    masterAuthorizedNetworksConfig(index: string): DataGoogleContainerClusterMasterAuthorizedNetworksConfig;
    /**
     *
     */
    get masterVersion(): string;
    /**
     *
     */
    get minMasterVersion(): string;
    /**
     *
     */
    get monitoringService(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    /**
     *
     */
    get network(): string;
    /**
     *
     */
    networkPolicy(index: string): DataGoogleContainerClusterNetworkPolicy;
    /**
     *
     */
    nodeConfig(index: string): DataGoogleContainerClusterNodeConfig;
    /**
     *
     */
    get nodeLocations(): string[];
    /**
     *
     */
    nodePool(index: string): DataGoogleContainerClusterNodePool;
    /**
     *
     */
    get nodeVersion(): string;
    /**
     *
     */
    get operation(): string;
    /**
     *
     */
    podSecurityPolicyConfig(index: string): DataGoogleContainerClusterPodSecurityPolicyConfig;
    /**
     *
     */
    privateClusterConfig(index: string): DataGoogleContainerClusterPrivateClusterConfig;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    releaseChannel(index: string): DataGoogleContainerClusterReleaseChannel;
    /**
     *
     */
    get removeDefaultNodePool(): boolean;
    /**
     *
     */
    resourceLabels(key: string): string;
    /**
     *
     */
    resourceUsageExportConfig(index: string): DataGoogleContainerClusterResourceUsageExportConfig;
    /**
     *
     */
    get selfLink(): string;
    /**
     *
     */
    get servicesIpv4Cidr(): string;
    /**
     *
     */
    get subnetwork(): string;
    /**
     *
     */
    verticalPodAutoscaling(index: string): DataGoogleContainerClusterVerticalPodAutoscaling;
    /**
     *
     */
    workloadIdentityConfig(index: string): DataGoogleContainerClusterWorkloadIdentityConfig;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
