import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGoogleIamPolicyConfig extends TerraformMetaArguments {
    /**
     * audit_config block.
     */
    readonly auditConfig?: DataGoogleIamPolicyAuditConfig[];
    /**
     * binding block.
     */
    readonly binding?: DataGoogleIamPolicyBinding[];
}
/**
 *
 */
export interface DataGoogleIamPolicyAuditConfigAuditLogConfigs {
    /**
     *
     */
    readonly exemptedMembers?: string[];
    /**
     *
     */
    readonly logType: string;
}
/**
 *
 */
export interface DataGoogleIamPolicyAuditConfig {
    /**
     *
     */
    readonly service: string;
    /**
     * audit_log_configs block.
     */
    readonly auditLogConfigs: DataGoogleIamPolicyAuditConfigAuditLogConfigs[];
}
/**
 *
 */
export interface DataGoogleIamPolicyBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export interface DataGoogleIamPolicyBinding {
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: DataGoogleIamPolicyBindingCondition[];
}
/**
 *
 */
export declare class DataGoogleIamPolicy extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataGoogleIamPolicyConfig);
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get policyData(): string;
    private _auditConfig?;
    /**
     *
     */
    get auditConfig(): DataGoogleIamPolicyAuditConfig[];
    /**
     *
     */
    set auditConfig(value: DataGoogleIamPolicyAuditConfig[]);
    /**
     *
     */
    resetAuditConfig(): void;
    /**
     *
     */
    get auditConfigInput(): DataGoogleIamPolicyAuditConfig[] | undefined;
    private _binding?;
    /**
     *
     */
    get binding(): DataGoogleIamPolicyBinding[];
    /**
     *
     */
    set binding(value: DataGoogleIamPolicyBinding[]);
    /**
     *
     */
    resetBinding(): void;
    /**
     *
     */
    get bindingInput(): DataGoogleIamPolicyBinding[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
