import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataGoogleMonitoringAppEngineServiceConfig extends TerraformMetaArguments {
    /**
     * The ID of the App Engine module underlying this service.
     *
     * Corresponds to the 'moduleId' resource label for a 'gae_app'
     * monitored resource(see https://cloud.google.com/monitoring/api/resources#tag_gae_app)
     */
    readonly moduleId: string;
    /**
     *
     */
    readonly project?: string;
}
/**
 *
 */
export declare class DataGoogleMonitoringAppEngineServiceTelemetry extends ComplexComputedList {
    /**
     *
     */
    get resourceName(): string;
}
/**
 *
 */
export declare class DataGoogleMonitoringAppEngineService extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGoogleMonitoringAppEngineServiceConfig);
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    get id(): string;
    private _moduleId;
    /**
     *
     */
    get moduleId(): string;
    /**
     *
     */
    set moduleId(value: string);
    /**
     *
     */
    get moduleIdInput(): string;
    /**
     *
     */
    get name(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    get serviceId(): string;
    /**
     *
     */
    telemetry(index: string): DataGoogleMonitoringAppEngineServiceTelemetry;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
