import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGoogleProjectConfig extends TerraformMetaArguments {
    /**
     * The project ID.
     *
     * Changing this forces a new project to be created.
     */
    readonly projectId?: string;
}
/**
 *
 */
export declare class DataGoogleProject extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataGoogleProjectConfig);
    /**
     *
     */
    get autoCreateNetwork(): boolean;
    /**
     *
     */
    get billingAccount(): string;
    /**
     *
     */
    get folderId(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    labels(key: string): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get number(): string;
    /**
     *
     */
    get orgId(): string;
    private _projectId?;
    /**
     *
     */
    get projectId(): string;
    /**
     *
     */
    set projectId(value: string);
    /**
     *
     */
    resetProjectId(): void;
    /**
     *
     */
    get projectIdInput(): string | undefined;
    /**
     *
     */
    get skipDelete(): boolean;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
