import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataGooglePubsubTopicConfig extends TerraformMetaArguments {
    /**
     * Name of the topic.
     */
    readonly name: string;
    /**
     *
     */
    readonly project?: string;
}
/**
 *
 */
export declare class DataGooglePubsubTopicMessageStoragePolicy extends ComplexComputedList {
    /**
     *
     */
    get allowedPersistenceRegions(): string[];
}
/**
 *
 */
export declare class DataGooglePubsubTopic extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGooglePubsubTopicConfig);
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get kmsKeyName(): string;
    /**
     *
     */
    labels(key: string): string;
    /**
     *
     */
    messageStoragePolicy(index: string): DataGooglePubsubTopicMessageStoragePolicy;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
