import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGoogleRedisInstanceConfig extends TerraformMetaArguments {
    /**
     * The ID of the instance or a fully qualified identifier for the instance.
     */
    readonly name: string;
    /**
     *
     */
    readonly project?: string;
    /**
     * The name of the Redis region of the instance.
     */
    readonly region?: string;
}
/**
 *
 */
export declare class DataGoogleRedisInstance extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGoogleRedisInstanceConfig);
    /**
     *
     */
    get alternativeLocationId(): string;
    /**
     *
     */
    get authorizedNetwork(): string;
    /**
     *
     */
    get connectMode(): string;
    /**
     *
     */
    get createTime(): string;
    /**
     *
     */
    get currentLocationId(): string;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    get host(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    labels(key: string): string;
    /**
     *
     */
    get locationId(): string;
    /**
     *
     */
    get memorySizeGb(): number;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    /**
     *
     */
    get persistenceIamIdentity(): string;
    /**
     *
     */
    get port(): number;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    redisConfigs(key: string): string;
    /**
     *
     */
    get redisVersion(): string;
    private _region?;
    /**
     *
     */
    get region(): string;
    /**
     *
     */
    set region(value: string);
    /**
     *
     */
    resetRegion(): void;
    /**
     *
     */
    get regionInput(): string | undefined;
    /**
     *
     */
    get reservedIpRange(): string;
    /**
     *
     */
    get tier(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
