import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataGoogleSqlDatabaseInstanceConfig extends TerraformMetaArguments {
    /**
     * The name of the instance.
     *
     * If the name is left blank, Terraform will randomly generate one when the instance is first created. This is done because after a name is used, it cannot be reused for up to one week.
     */
    readonly name: string;
    /**
     * The ID of the project in which the resource belongs.
     *
     * If it is not provided, the provider project is used.
     */
    readonly project?: string;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstanceIpAddress extends ComplexComputedList {
    /**
     *
     */
    get ipAddress(): string;
    /**
     *
     */
    get timeToRetire(): string;
    /**
     *
     */
    get type(): string;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstanceReplicaConfiguration extends ComplexComputedList {
    /**
     *
     */
    get caCertificate(): string;
    /**
     *
     */
    get clientCertificate(): string;
    /**
     *
     */
    get clientKey(): string;
    /**
     *
     */
    get connectRetryInterval(): number;
    /**
     *
     */
    get dumpFilePath(): string;
    /**
     *
     */
    get failoverTarget(): boolean;
    /**
     *
     */
    get masterHeartbeatPeriod(): number;
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    get sslCipher(): string;
    /**
     *
     */
    get username(): string;
    /**
     *
     */
    get verifyServerCertificate(): boolean;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstanceServerCaCert extends ComplexComputedList {
    /**
     *
     */
    get cert(): string;
    /**
     *
     */
    get commonName(): string;
    /**
     *
     */
    get createTime(): string;
    /**
     *
     */
    get expirationTime(): string;
    /**
     *
     */
    get sha1Fingerprint(): string;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstanceSettingsBackupConfiguration extends ComplexComputedList {
    /**
     *
     */
    get binaryLogEnabled(): boolean;
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get pointInTimeRecoveryEnabled(): boolean;
    /**
     *
     */
    get startTime(): string;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstanceSettingsDatabaseFlags extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get value(): string;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstanceSettingsIpConfigurationAuthorizedNetworks extends ComplexComputedList {
    /**
     *
     */
    get expirationTime(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get value(): string;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstanceSettingsIpConfiguration extends ComplexComputedList {
    /**
     *
     */
    get authorizedNetworks(): any;
    /**
     *
     */
    get ipv4Enabled(): boolean;
    /**
     *
     */
    get privateNetwork(): string;
    /**
     *
     */
    get requireSsl(): boolean;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstanceSettingsLocationPreference extends ComplexComputedList {
    /**
     *
     */
    get followGaeApplication(): string;
    /**
     *
     */
    get zone(): string;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstanceSettingsMaintenanceWindow extends ComplexComputedList {
    /**
     *
     */
    get day(): number;
    /**
     *
     */
    get hour(): number;
    /**
     *
     */
    get updateTrack(): string;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstanceSettings extends ComplexComputedList {
    /**
     *
     */
    get activationPolicy(): string;
    /**
     *
     */
    get authorizedGaeApplications(): string[];
    /**
     *
     */
    get availabilityType(): string;
    /**
     *
     */
    get backupConfiguration(): any;
    /**
     *
     */
    get crashSafeReplication(): boolean;
    /**
     *
     */
    get databaseFlags(): any;
    /**
     *
     */
    get diskAutoresize(): boolean;
    /**
     *
     */
    get diskSize(): number;
    /**
     *
     */
    get diskType(): string;
    /**
     *
     */
    get ipConfiguration(): any;
    /**
     *
     */
    get locationPreference(): any;
    /**
     *
     */
    get maintenanceWindow(): any;
    /**
     *
     */
    get pricingPlan(): string;
    /**
     *
     */
    get replicationType(): string;
    /**
     *
     */
    get tier(): string;
    /**
     *
     */
    get userLabels(): any;
    /**
     *
     */
    get version(): number;
}
/**
 *
 */
export declare class DataGoogleSqlDatabaseInstance extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGoogleSqlDatabaseInstanceConfig);
    /**
     *
     */
    get connectionName(): string;
    /**
     *
     */
    get databaseVersion(): string;
    /**
     *
     */
    get deletionProtection(): boolean;
    /**
     *
     */
    get firstIpAddress(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    ipAddress(index: string): DataGoogleSqlDatabaseInstanceIpAddress;
    /**
     *
     */
    get masterInstanceName(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    /**
     *
     */
    get privateIpAddress(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    get publicIpAddress(): string;
    /**
     *
     */
    get region(): string;
    /**
     *
     */
    replicaConfiguration(index: string): DataGoogleSqlDatabaseInstanceReplicaConfiguration;
    /**
     *
     */
    get rootPassword(): string;
    /**
     *
     */
    get selfLink(): string;
    /**
     *
     */
    serverCaCert(index: string): DataGoogleSqlDatabaseInstanceServerCaCert;
    /**
     *
     */
    get serviceAccountEmailAddress(): string;
    /**
     *
     */
    settings(index: string): DataGoogleSqlDatabaseInstanceSettings;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
