import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGoogleStorageBucketObjectConfig extends TerraformMetaArguments {
    /**
     * The name of the containing bucket.
     */
    readonly bucket?: string;
    /**
     * The name of the object.
     *
     * If you're interpolating the name of this object, see output_name instead.
     */
    readonly name?: string;
}
/**
 *
 */
export declare class DataGoogleStorageBucketObject extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataGoogleStorageBucketObjectConfig);
    private _bucket?;
    /**
     *
     */
    get bucket(): string;
    /**
     *
     */
    set bucket(value: string);
    /**
     *
     */
    resetBucket(): void;
    /**
     *
     */
    get bucketInput(): string | undefined;
    /**
     *
     */
    get cacheControl(): string;
    /**
     *
     */
    get content(): string;
    /**
     *
     */
    get contentDisposition(): string;
    /**
     *
     */
    get contentEncoding(): string;
    /**
     *
     */
    get contentLanguage(): string;
    /**
     *
     */
    get contentType(): string;
    /**
     *
     */
    get crc32C(): string;
    /**
     *
     */
    get detectMd5Hash(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get md5Hash(): string;
    /**
     *
     */
    get mediaLink(): string;
    /**
     *
     */
    metadata(key: string): string;
    private _name?;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    resetName(): void;
    /**
     *
     */
    get nameInput(): string | undefined;
    /**
     *
     */
    get outputName(): string;
    /**
     *
     */
    get selfLink(): string;
    /**
     *
     */
    get source(): string;
    /**
     *
     */
    get storageClass(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
