import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataprocJobIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly jobId: string;
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly region?: string;
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: DataprocJobIamBindingCondition[];
}
/**
 *
 */
export interface DataprocJobIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class DataprocJobIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataprocJobIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _jobId;
    /**
     *
     */
    get jobId(): string;
    /**
     *
     */
    set jobId(value: string);
    /**
     *
     */
    get jobIdInput(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _region?;
    /**
     *
     */
    get region(): string;
    /**
     *
     */
    set region(value: string);
    /**
     *
     */
    resetRegion(): void;
    /**
     *
     */
    get regionInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): DataprocJobIamBindingCondition[];
    /**
     *
     */
    set condition(value: DataprocJobIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): DataprocJobIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
