import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataprocJobIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly jobId: string;
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly region?: string;
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: DataprocJobIamMemberCondition[];
}
/**
 *
 */
export interface DataprocJobIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class DataprocJobIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataprocJobIamMemberConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _jobId;
    /**
     *
     */
    get jobId(): string;
    /**
     *
     */
    set jobId(value: string);
    /**
     *
     */
    get jobIdInput(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _region?;
    /**
     *
     */
    get region(): string;
    /**
     *
     */
    set region(value: string);
    /**
     *
     */
    resetRegion(): void;
    /**
     *
     */
    get regionInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): DataprocJobIamMemberCondition[];
    /**
     *
     */
    set condition(value: DataprocJobIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): DataprocJobIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
