import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface EndpointsServiceIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly serviceName: string;
    /**
     * condition block.
     */
    readonly condition?: EndpointsServiceIamBindingCondition[];
}
/**
 *
 */
export interface EndpointsServiceIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class EndpointsServiceIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: EndpointsServiceIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _serviceName;
    /**
     *
     */
    get serviceName(): string;
    /**
     *
     */
    set serviceName(value: string);
    /**
     *
     */
    get serviceNameInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): EndpointsServiceIamBindingCondition[];
    /**
     *
     */
    set condition(value: EndpointsServiceIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): EndpointsServiceIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
