import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface FolderIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly folder: string;
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: FolderIamBindingCondition[];
}
/**
 *
 */
export interface FolderIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class FolderIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: FolderIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    private _folder;
    /**
     *
     */
    get folder(): string;
    /**
     *
     */
    set folder(value: string);
    /**
     *
     */
    get folderInput(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): FolderIamBindingCondition[];
    /**
     *
     */
    set condition(value: FolderIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): FolderIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
