import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface FolderIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly folder: string;
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: FolderIamMemberCondition[];
}
/**
 *
 */
export interface FolderIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class FolderIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: FolderIamMemberConfig);
    /**
     *
     */
    get etag(): string;
    private _folder;
    /**
     *
     */
    get folder(): string;
    /**
     *
     */
    set folder(value: string);
    /**
     *
     */
    get folderInput(): string;
    /**
     *
     */
    get id(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): FolderIamMemberCondition[];
    /**
     *
     */
    set condition(value: FolderIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): FolderIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
