import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface GameServicesGameServerDeploymentRolloutConfig extends TerraformMetaArguments {
    /**
     * This field points to the game server config that is applied by default to all realms and clusters. For example,.
     *
     * 'projects/my-project/locations/global/gameServerDeployments/my-game/configs/my-config'.
     */
    readonly defaultGameServerConfig: string;
    /**
     * The deployment to rollout the new config to.
     *
     * Only 1 rollout must be associated with each deployment.
     */
    readonly deploymentId: string;
    /**
     *
     */
    readonly project?: string;
    /**
     * game_server_config_overrides block.
     */
    readonly gameServerConfigOverrides?: GameServicesGameServerDeploymentRolloutGameServerConfigOverrides[];
    /**
     * timeouts block.
     */
    readonly timeouts?: GameServicesGameServerDeploymentRolloutTimeouts;
}
/**
 *
 */
export interface GameServicesGameServerDeploymentRolloutGameServerConfigOverridesRealmsSelector {
    /**
     * List of realms to match against.
     */
    readonly realms?: string[];
}
/**
 *
 */
export interface GameServicesGameServerDeploymentRolloutGameServerConfigOverrides {
    /**
     * Version of the configuration.
     */
    readonly configVersion?: string;
    /**
     * realms_selector block.
     */
    readonly realmsSelector?: GameServicesGameServerDeploymentRolloutGameServerConfigOverridesRealmsSelector[];
}
/**
 *
 */
export interface GameServicesGameServerDeploymentRolloutTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class GameServicesGameServerDeploymentRollout extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: GameServicesGameServerDeploymentRolloutConfig);
    private _defaultGameServerConfig;
    /**
     *
     */
    get defaultGameServerConfig(): string;
    /**
     *
     */
    set defaultGameServerConfig(value: string);
    /**
     *
     */
    get defaultGameServerConfigInput(): string;
    private _deploymentId;
    /**
     *
     */
    get deploymentId(): string;
    /**
     *
     */
    set deploymentId(value: string);
    /**
     *
     */
    get deploymentIdInput(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get name(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _gameServerConfigOverrides?;
    /**
     *
     */
    get gameServerConfigOverrides(): GameServicesGameServerDeploymentRolloutGameServerConfigOverrides[];
    /**
     *
     */
    set gameServerConfigOverrides(value: GameServicesGameServerDeploymentRolloutGameServerConfigOverrides[]);
    /**
     *
     */
    resetGameServerConfigOverrides(): void;
    /**
     *
     */
    get gameServerConfigOverridesInput(): GameServicesGameServerDeploymentRolloutGameServerConfigOverrides[] | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): GameServicesGameServerDeploymentRolloutTimeouts;
    /**
     *
     */
    set timeouts(value: GameServicesGameServerDeploymentRolloutTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): GameServicesGameServerDeploymentRolloutTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
