import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface GameServicesRealmConfig extends TerraformMetaArguments {
    /**
     * Human readable description of the realm.
     */
    readonly description?: string;
    /**
     * The labels associated with this realm.
     *
     * Each label is a key-value pair.
     */
    readonly labels?: {
        [key: string]: string;
    };
    /**
     * Location of the Realm.
     */
    readonly location?: string;
    /**
     *
     */
    readonly project?: string;
    /**
     * GCP region of the Realm.
     */
    readonly realmId: string;
    /**
     * Required.
     *
     * Time zone where all realm-specific policies are evaluated. The value of
     * this field must be from the IANA time zone database:
     * https://www.iana.org/time-zones.
     */
    readonly timeZone: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: GameServicesRealmTimeouts;
}
/**
 *
 */
export interface GameServicesRealmTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class GameServicesRealm extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: GameServicesRealmConfig);
    private _description?;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    set description(value: string);
    /**
     *
     */
    resetDescription(): void;
    /**
     *
     */
    get descriptionInput(): string | undefined;
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _labels?;
    /**
     *
     */
    get labels(): {
        [key: string]: string;
    };
    /**
     *
     */
    set labels(value: {
        [key: string]: string;
    });
    /**
     *
     */
    resetLabels(): void;
    /**
     *
     */
    get labelsInput(): {
        [key: string]: string;
    } | undefined;
    private _location?;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    resetLocation(): void;
    /**
     *
     */
    get locationInput(): string | undefined;
    /**
     *
     */
    get name(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _realmId;
    /**
     *
     */
    get realmId(): string;
    /**
     *
     */
    set realmId(value: string);
    /**
     *
     */
    get realmIdInput(): string;
    private _timeZone;
    /**
     *
     */
    get timeZone(): string;
    /**
     *
     */
    set timeZone(value: string);
    /**
     *
     */
    get timeZoneInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): GameServicesRealmTimeouts;
    /**
     *
     */
    set timeouts(value: GameServicesRealmTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): GameServicesRealmTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
