import { Construct } from 'constructs';
import { TerraformProvider } from 'cdktf';
/**
 *
 */
export interface GoogleProviderConfig {
    /**
     *
     */
    readonly accessApprovalCustomEndpoint?: string;
    /**
     *
     */
    readonly accessContextManagerCustomEndpoint?: string;
    /**
     *
     */
    readonly accessToken?: string;
    /**
     *
     */
    readonly activeDirectoryCustomEndpoint?: string;
    /**
     *
     */
    readonly appEngineCustomEndpoint?: string;
    /**
     *
     */
    readonly bigQueryCustomEndpoint?: string;
    /**
     *
     */
    readonly bigqueryDataTransferCustomEndpoint?: string;
    /**
     *
     */
    readonly bigtableCustomEndpoint?: string;
    /**
     *
     */
    readonly billingProject?: string;
    /**
     *
     */
    readonly binaryAuthorizationCustomEndpoint?: string;
    /**
     *
     */
    readonly cloudAssetCustomEndpoint?: string;
    /**
     *
     */
    readonly cloudBillingCustomEndpoint?: string;
    /**
     *
     */
    readonly cloudBuildCustomEndpoint?: string;
    /**
     *
     */
    readonly cloudFunctionsCustomEndpoint?: string;
    /**
     *
     */
    readonly cloudIotCustomEndpoint?: string;
    /**
     *
     */
    readonly cloudRunCustomEndpoint?: string;
    /**
     *
     */
    readonly cloudSchedulerCustomEndpoint?: string;
    /**
     *
     */
    readonly cloudTasksCustomEndpoint?: string;
    /**
     *
     */
    readonly composerCustomEndpoint?: string;
    /**
     *
     */
    readonly computeBetaCustomEndpoint?: string;
    /**
     *
     */
    readonly computeCustomEndpoint?: string;
    /**
     *
     */
    readonly containerAnalysisCustomEndpoint?: string;
    /**
     *
     */
    readonly containerBetaCustomEndpoint?: string;
    /**
     *
     */
    readonly containerCustomEndpoint?: string;
    /**
     *
     */
    readonly credentials?: string;
    /**
     *
     */
    readonly dataCatalogCustomEndpoint?: string;
    /**
     *
     */
    readonly dataLossPreventionCustomEndpoint?: string;
    /**
     *
     */
    readonly dataflowCustomEndpoint?: string;
    /**
     *
     */
    readonly dataprocBetaCustomEndpoint?: string;
    /**
     *
     */
    readonly dataprocCustomEndpoint?: string;
    /**
     *
     */
    readonly datastoreCustomEndpoint?: string;
    /**
     *
     */
    readonly deploymentManagerCustomEndpoint?: string;
    /**
     *
     */
    readonly dialogflowCustomEndpoint?: string;
    /**
     *
     */
    readonly dnsBetaCustomEndpoint?: string;
    /**
     *
     */
    readonly dnsCustomEndpoint?: string;
    /**
     *
     */
    readonly filestoreCustomEndpoint?: string;
    /**
     *
     */
    readonly firestoreCustomEndpoint?: string;
    /**
     *
     */
    readonly gameServicesCustomEndpoint?: string;
    /**
     *
     */
    readonly healthcareCustomEndpoint?: string;
    /**
     *
     */
    readonly iamCredentialsCustomEndpoint?: string;
    /**
     *
     */
    readonly iamCustomEndpoint?: string;
    /**
     *
     */
    readonly iapCustomEndpoint?: string;
    /**
     *
     */
    readonly identityPlatformCustomEndpoint?: string;
    /**
     *
     */
    readonly impersonateServiceAccount?: string;
    /**
     *
     */
    readonly impersonateServiceAccountDelegates?: string[];
    /**
     *
     */
    readonly kmsCustomEndpoint?: string;
    /**
     *
     */
    readonly loggingCustomEndpoint?: string;
    /**
     *
     */
    readonly mlEngineCustomEndpoint?: string;
    /**
     *
     */
    readonly monitoringCustomEndpoint?: string;
    /**
     *
     */
    readonly networkManagementCustomEndpoint?: string;
    /**
     *
     */
    readonly osConfigCustomEndpoint?: string;
    /**
     *
     */
    readonly osLoginCustomEndpoint?: string;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly pubsubCustomEndpoint?: string;
    /**
     *
     */
    readonly redisCustomEndpoint?: string;
    /**
     *
     */
    readonly region?: string;
    /**
     *
     */
    readonly requestTimeout?: string;
    /**
     *
     */
    readonly resourceManagerCustomEndpoint?: string;
    /**
     *
     */
    readonly resourceManagerV2Beta1CustomEndpoint?: string;
    /**
     *
     */
    readonly runtimeConfigCustomEndpoint?: string;
    /**
     *
     */
    readonly runtimeconfigCustomEndpoint?: string;
    /**
     *
     */
    readonly scopes?: string[];
    /**
     *
     */
    readonly secretManagerCustomEndpoint?: string;
    /**
     *
     */
    readonly securityCenterCustomEndpoint?: string;
    /**
     *
     */
    readonly serviceManagementCustomEndpoint?: string;
    /**
     *
     */
    readonly serviceNetworkingCustomEndpoint?: string;
    /**
     *
     */
    readonly serviceUsageCustomEndpoint?: string;
    /**
     *
     */
    readonly sourceRepoCustomEndpoint?: string;
    /**
     *
     */
    readonly spannerCustomEndpoint?: string;
    /**
     *
     */
    readonly sqlCustomEndpoint?: string;
    /**
     *
     */
    readonly storageCustomEndpoint?: string;
    /**
     *
     */
    readonly storageTransferCustomEndpoint?: string;
    /**
     *
     */
    readonly tpuCustomEndpoint?: string;
    /**
     *
     */
    readonly userProjectOverride?: boolean;
    /**
     *
     */
    readonly vpcAccessCustomEndpoint?: string;
    /**
     *
     */
    readonly zone?: string;
    /**
     * Alias name.
     */
    readonly alias?: string;
    /**
     * batching block.
     */
    readonly batching?: GoogleProviderBatching[];
}
/**
 *
 */
export interface GoogleProviderBatching {
    /**
     *
     */
    readonly enableBatching?: boolean;
    /**
     *
     */
    readonly sendAfter?: string;
}
/**
 *
 */
export declare class GoogleProvider extends TerraformProvider {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: GoogleProviderConfig);
    private _accessApprovalCustomEndpoint?;
    /**
     *
     */
    get accessApprovalCustomEndpoint(): string | undefined;
    /**
     *
     */
    set accessApprovalCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetAccessApprovalCustomEndpoint(): void;
    /**
     *
     */
    get accessApprovalCustomEndpointInput(): string | undefined;
    private _accessContextManagerCustomEndpoint?;
    /**
     *
     */
    get accessContextManagerCustomEndpoint(): string | undefined;
    /**
     *
     */
    set accessContextManagerCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetAccessContextManagerCustomEndpoint(): void;
    /**
     *
     */
    get accessContextManagerCustomEndpointInput(): string | undefined;
    private _accessToken?;
    /**
     *
     */
    get accessToken(): string | undefined;
    /**
     *
     */
    set accessToken(value: string | undefined);
    /**
     *
     */
    resetAccessToken(): void;
    /**
     *
     */
    get accessTokenInput(): string | undefined;
    private _activeDirectoryCustomEndpoint?;
    /**
     *
     */
    get activeDirectoryCustomEndpoint(): string | undefined;
    /**
     *
     */
    set activeDirectoryCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetActiveDirectoryCustomEndpoint(): void;
    /**
     *
     */
    get activeDirectoryCustomEndpointInput(): string | undefined;
    private _appEngineCustomEndpoint?;
    /**
     *
     */
    get appEngineCustomEndpoint(): string | undefined;
    /**
     *
     */
    set appEngineCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetAppEngineCustomEndpoint(): void;
    /**
     *
     */
    get appEngineCustomEndpointInput(): string | undefined;
    private _bigQueryCustomEndpoint?;
    /**
     *
     */
    get bigQueryCustomEndpoint(): string | undefined;
    /**
     *
     */
    set bigQueryCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetBigQueryCustomEndpoint(): void;
    /**
     *
     */
    get bigQueryCustomEndpointInput(): string | undefined;
    private _bigqueryDataTransferCustomEndpoint?;
    /**
     *
     */
    get bigqueryDataTransferCustomEndpoint(): string | undefined;
    /**
     *
     */
    set bigqueryDataTransferCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetBigqueryDataTransferCustomEndpoint(): void;
    /**
     *
     */
    get bigqueryDataTransferCustomEndpointInput(): string | undefined;
    private _bigtableCustomEndpoint?;
    /**
     *
     */
    get bigtableCustomEndpoint(): string | undefined;
    /**
     *
     */
    set bigtableCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetBigtableCustomEndpoint(): void;
    /**
     *
     */
    get bigtableCustomEndpointInput(): string | undefined;
    private _billingProject?;
    /**
     *
     */
    get billingProject(): string | undefined;
    /**
     *
     */
    set billingProject(value: string | undefined);
    /**
     *
     */
    resetBillingProject(): void;
    /**
     *
     */
    get billingProjectInput(): string | undefined;
    private _binaryAuthorizationCustomEndpoint?;
    /**
     *
     */
    get binaryAuthorizationCustomEndpoint(): string | undefined;
    /**
     *
     */
    set binaryAuthorizationCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetBinaryAuthorizationCustomEndpoint(): void;
    /**
     *
     */
    get binaryAuthorizationCustomEndpointInput(): string | undefined;
    private _cloudAssetCustomEndpoint?;
    /**
     *
     */
    get cloudAssetCustomEndpoint(): string | undefined;
    /**
     *
     */
    set cloudAssetCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetCloudAssetCustomEndpoint(): void;
    /**
     *
     */
    get cloudAssetCustomEndpointInput(): string | undefined;
    private _cloudBillingCustomEndpoint?;
    /**
     *
     */
    get cloudBillingCustomEndpoint(): string | undefined;
    /**
     *
     */
    set cloudBillingCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetCloudBillingCustomEndpoint(): void;
    /**
     *
     */
    get cloudBillingCustomEndpointInput(): string | undefined;
    private _cloudBuildCustomEndpoint?;
    /**
     *
     */
    get cloudBuildCustomEndpoint(): string | undefined;
    /**
     *
     */
    set cloudBuildCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetCloudBuildCustomEndpoint(): void;
    /**
     *
     */
    get cloudBuildCustomEndpointInput(): string | undefined;
    private _cloudFunctionsCustomEndpoint?;
    /**
     *
     */
    get cloudFunctionsCustomEndpoint(): string | undefined;
    /**
     *
     */
    set cloudFunctionsCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetCloudFunctionsCustomEndpoint(): void;
    /**
     *
     */
    get cloudFunctionsCustomEndpointInput(): string | undefined;
    private _cloudIotCustomEndpoint?;
    /**
     *
     */
    get cloudIotCustomEndpoint(): string | undefined;
    /**
     *
     */
    set cloudIotCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetCloudIotCustomEndpoint(): void;
    /**
     *
     */
    get cloudIotCustomEndpointInput(): string | undefined;
    private _cloudRunCustomEndpoint?;
    /**
     *
     */
    get cloudRunCustomEndpoint(): string | undefined;
    /**
     *
     */
    set cloudRunCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetCloudRunCustomEndpoint(): void;
    /**
     *
     */
    get cloudRunCustomEndpointInput(): string | undefined;
    private _cloudSchedulerCustomEndpoint?;
    /**
     *
     */
    get cloudSchedulerCustomEndpoint(): string | undefined;
    /**
     *
     */
    set cloudSchedulerCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetCloudSchedulerCustomEndpoint(): void;
    /**
     *
     */
    get cloudSchedulerCustomEndpointInput(): string | undefined;
    private _cloudTasksCustomEndpoint?;
    /**
     *
     */
    get cloudTasksCustomEndpoint(): string | undefined;
    /**
     *
     */
    set cloudTasksCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetCloudTasksCustomEndpoint(): void;
    /**
     *
     */
    get cloudTasksCustomEndpointInput(): string | undefined;
    private _composerCustomEndpoint?;
    /**
     *
     */
    get composerCustomEndpoint(): string | undefined;
    /**
     *
     */
    set composerCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetComposerCustomEndpoint(): void;
    /**
     *
     */
    get composerCustomEndpointInput(): string | undefined;
    private _computeBetaCustomEndpoint?;
    /**
     *
     */
    get computeBetaCustomEndpoint(): string | undefined;
    /**
     *
     */
    set computeBetaCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetComputeBetaCustomEndpoint(): void;
    /**
     *
     */
    get computeBetaCustomEndpointInput(): string | undefined;
    private _computeCustomEndpoint?;
    /**
     *
     */
    get computeCustomEndpoint(): string | undefined;
    /**
     *
     */
    set computeCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetComputeCustomEndpoint(): void;
    /**
     *
     */
    get computeCustomEndpointInput(): string | undefined;
    private _containerAnalysisCustomEndpoint?;
    /**
     *
     */
    get containerAnalysisCustomEndpoint(): string | undefined;
    /**
     *
     */
    set containerAnalysisCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetContainerAnalysisCustomEndpoint(): void;
    /**
     *
     */
    get containerAnalysisCustomEndpointInput(): string | undefined;
    private _containerBetaCustomEndpoint?;
    /**
     *
     */
    get containerBetaCustomEndpoint(): string | undefined;
    /**
     *
     */
    set containerBetaCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetContainerBetaCustomEndpoint(): void;
    /**
     *
     */
    get containerBetaCustomEndpointInput(): string | undefined;
    private _containerCustomEndpoint?;
    /**
     *
     */
    get containerCustomEndpoint(): string | undefined;
    /**
     *
     */
    set containerCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetContainerCustomEndpoint(): void;
    /**
     *
     */
    get containerCustomEndpointInput(): string | undefined;
    private _credentials?;
    /**
     *
     */
    get credentials(): string | undefined;
    /**
     *
     */
    set credentials(value: string | undefined);
    /**
     *
     */
    resetCredentials(): void;
    /**
     *
     */
    get credentialsInput(): string | undefined;
    private _dataCatalogCustomEndpoint?;
    /**
     *
     */
    get dataCatalogCustomEndpoint(): string | undefined;
    /**
     *
     */
    set dataCatalogCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetDataCatalogCustomEndpoint(): void;
    /**
     *
     */
    get dataCatalogCustomEndpointInput(): string | undefined;
    private _dataLossPreventionCustomEndpoint?;
    /**
     *
     */
    get dataLossPreventionCustomEndpoint(): string | undefined;
    /**
     *
     */
    set dataLossPreventionCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetDataLossPreventionCustomEndpoint(): void;
    /**
     *
     */
    get dataLossPreventionCustomEndpointInput(): string | undefined;
    private _dataflowCustomEndpoint?;
    /**
     *
     */
    get dataflowCustomEndpoint(): string | undefined;
    /**
     *
     */
    set dataflowCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetDataflowCustomEndpoint(): void;
    /**
     *
     */
    get dataflowCustomEndpointInput(): string | undefined;
    private _dataprocBetaCustomEndpoint?;
    /**
     *
     */
    get dataprocBetaCustomEndpoint(): string | undefined;
    /**
     *
     */
    set dataprocBetaCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetDataprocBetaCustomEndpoint(): void;
    /**
     *
     */
    get dataprocBetaCustomEndpointInput(): string | undefined;
    private _dataprocCustomEndpoint?;
    /**
     *
     */
    get dataprocCustomEndpoint(): string | undefined;
    /**
     *
     */
    set dataprocCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetDataprocCustomEndpoint(): void;
    /**
     *
     */
    get dataprocCustomEndpointInput(): string | undefined;
    private _datastoreCustomEndpoint?;
    /**
     *
     */
    get datastoreCustomEndpoint(): string | undefined;
    /**
     *
     */
    set datastoreCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetDatastoreCustomEndpoint(): void;
    /**
     *
     */
    get datastoreCustomEndpointInput(): string | undefined;
    private _deploymentManagerCustomEndpoint?;
    /**
     *
     */
    get deploymentManagerCustomEndpoint(): string | undefined;
    /**
     *
     */
    set deploymentManagerCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetDeploymentManagerCustomEndpoint(): void;
    /**
     *
     */
    get deploymentManagerCustomEndpointInput(): string | undefined;
    private _dialogflowCustomEndpoint?;
    /**
     *
     */
    get dialogflowCustomEndpoint(): string | undefined;
    /**
     *
     */
    set dialogflowCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetDialogflowCustomEndpoint(): void;
    /**
     *
     */
    get dialogflowCustomEndpointInput(): string | undefined;
    private _dnsBetaCustomEndpoint?;
    /**
     *
     */
    get dnsBetaCustomEndpoint(): string | undefined;
    /**
     *
     */
    set dnsBetaCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetDnsBetaCustomEndpoint(): void;
    /**
     *
     */
    get dnsBetaCustomEndpointInput(): string | undefined;
    private _dnsCustomEndpoint?;
    /**
     *
     */
    get dnsCustomEndpoint(): string | undefined;
    /**
     *
     */
    set dnsCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetDnsCustomEndpoint(): void;
    /**
     *
     */
    get dnsCustomEndpointInput(): string | undefined;
    private _filestoreCustomEndpoint?;
    /**
     *
     */
    get filestoreCustomEndpoint(): string | undefined;
    /**
     *
     */
    set filestoreCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetFilestoreCustomEndpoint(): void;
    /**
     *
     */
    get filestoreCustomEndpointInput(): string | undefined;
    private _firestoreCustomEndpoint?;
    /**
     *
     */
    get firestoreCustomEndpoint(): string | undefined;
    /**
     *
     */
    set firestoreCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetFirestoreCustomEndpoint(): void;
    /**
     *
     */
    get firestoreCustomEndpointInput(): string | undefined;
    private _gameServicesCustomEndpoint?;
    /**
     *
     */
    get gameServicesCustomEndpoint(): string | undefined;
    /**
     *
     */
    set gameServicesCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetGameServicesCustomEndpoint(): void;
    /**
     *
     */
    get gameServicesCustomEndpointInput(): string | undefined;
    private _healthcareCustomEndpoint?;
    /**
     *
     */
    get healthcareCustomEndpoint(): string | undefined;
    /**
     *
     */
    set healthcareCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetHealthcareCustomEndpoint(): void;
    /**
     *
     */
    get healthcareCustomEndpointInput(): string | undefined;
    private _iamCredentialsCustomEndpoint?;
    /**
     *
     */
    get iamCredentialsCustomEndpoint(): string | undefined;
    /**
     *
     */
    set iamCredentialsCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetIamCredentialsCustomEndpoint(): void;
    /**
     *
     */
    get iamCredentialsCustomEndpointInput(): string | undefined;
    private _iamCustomEndpoint?;
    /**
     *
     */
    get iamCustomEndpoint(): string | undefined;
    /**
     *
     */
    set iamCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetIamCustomEndpoint(): void;
    /**
     *
     */
    get iamCustomEndpointInput(): string | undefined;
    private _iapCustomEndpoint?;
    /**
     *
     */
    get iapCustomEndpoint(): string | undefined;
    /**
     *
     */
    set iapCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetIapCustomEndpoint(): void;
    /**
     *
     */
    get iapCustomEndpointInput(): string | undefined;
    private _identityPlatformCustomEndpoint?;
    /**
     *
     */
    get identityPlatformCustomEndpoint(): string | undefined;
    /**
     *
     */
    set identityPlatformCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetIdentityPlatformCustomEndpoint(): void;
    /**
     *
     */
    get identityPlatformCustomEndpointInput(): string | undefined;
    private _impersonateServiceAccount?;
    /**
     *
     */
    get impersonateServiceAccount(): string | undefined;
    /**
     *
     */
    set impersonateServiceAccount(value: string | undefined);
    /**
     *
     */
    resetImpersonateServiceAccount(): void;
    /**
     *
     */
    get impersonateServiceAccountInput(): string | undefined;
    private _impersonateServiceAccountDelegates?;
    /**
     *
     */
    get impersonateServiceAccountDelegates(): string[] | undefined;
    /**
     *
     */
    set impersonateServiceAccountDelegates(value: string[] | undefined);
    /**
     *
     */
    resetImpersonateServiceAccountDelegates(): void;
    /**
     *
     */
    get impersonateServiceAccountDelegatesInput(): string[] | undefined;
    private _kmsCustomEndpoint?;
    /**
     *
     */
    get kmsCustomEndpoint(): string | undefined;
    /**
     *
     */
    set kmsCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetKmsCustomEndpoint(): void;
    /**
     *
     */
    get kmsCustomEndpointInput(): string | undefined;
    private _loggingCustomEndpoint?;
    /**
     *
     */
    get loggingCustomEndpoint(): string | undefined;
    /**
     *
     */
    set loggingCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetLoggingCustomEndpoint(): void;
    /**
     *
     */
    get loggingCustomEndpointInput(): string | undefined;
    private _mlEngineCustomEndpoint?;
    /**
     *
     */
    get mlEngineCustomEndpoint(): string | undefined;
    /**
     *
     */
    set mlEngineCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetMlEngineCustomEndpoint(): void;
    /**
     *
     */
    get mlEngineCustomEndpointInput(): string | undefined;
    private _monitoringCustomEndpoint?;
    /**
     *
     */
    get monitoringCustomEndpoint(): string | undefined;
    /**
     *
     */
    set monitoringCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetMonitoringCustomEndpoint(): void;
    /**
     *
     */
    get monitoringCustomEndpointInput(): string | undefined;
    private _networkManagementCustomEndpoint?;
    /**
     *
     */
    get networkManagementCustomEndpoint(): string | undefined;
    /**
     *
     */
    set networkManagementCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetNetworkManagementCustomEndpoint(): void;
    /**
     *
     */
    get networkManagementCustomEndpointInput(): string | undefined;
    private _osConfigCustomEndpoint?;
    /**
     *
     */
    get osConfigCustomEndpoint(): string | undefined;
    /**
     *
     */
    set osConfigCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetOsConfigCustomEndpoint(): void;
    /**
     *
     */
    get osConfigCustomEndpointInput(): string | undefined;
    private _osLoginCustomEndpoint?;
    /**
     *
     */
    get osLoginCustomEndpoint(): string | undefined;
    /**
     *
     */
    set osLoginCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetOsLoginCustomEndpoint(): void;
    /**
     *
     */
    get osLoginCustomEndpointInput(): string | undefined;
    private _project?;
    /**
     *
     */
    get project(): string | undefined;
    /**
     *
     */
    set project(value: string | undefined);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _pubsubCustomEndpoint?;
    /**
     *
     */
    get pubsubCustomEndpoint(): string | undefined;
    /**
     *
     */
    set pubsubCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetPubsubCustomEndpoint(): void;
    /**
     *
     */
    get pubsubCustomEndpointInput(): string | undefined;
    private _redisCustomEndpoint?;
    /**
     *
     */
    get redisCustomEndpoint(): string | undefined;
    /**
     *
     */
    set redisCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetRedisCustomEndpoint(): void;
    /**
     *
     */
    get redisCustomEndpointInput(): string | undefined;
    private _region?;
    /**
     *
     */
    get region(): string | undefined;
    /**
     *
     */
    set region(value: string | undefined);
    /**
     *
     */
    resetRegion(): void;
    /**
     *
     */
    get regionInput(): string | undefined;
    private _requestTimeout?;
    /**
     *
     */
    get requestTimeout(): string | undefined;
    /**
     *
     */
    set requestTimeout(value: string | undefined);
    /**
     *
     */
    resetRequestTimeout(): void;
    /**
     *
     */
    get requestTimeoutInput(): string | undefined;
    private _resourceManagerCustomEndpoint?;
    /**
     *
     */
    get resourceManagerCustomEndpoint(): string | undefined;
    /**
     *
     */
    set resourceManagerCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetResourceManagerCustomEndpoint(): void;
    /**
     *
     */
    get resourceManagerCustomEndpointInput(): string | undefined;
    private _resourceManagerV2Beta1CustomEndpoint?;
    /**
     *
     */
    get resourceManagerV2Beta1CustomEndpoint(): string | undefined;
    /**
     *
     */
    set resourceManagerV2Beta1CustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetResourceManagerV2Beta1CustomEndpoint(): void;
    /**
     *
     */
    get resourceManagerV2Beta1CustomEndpointInput(): string | undefined;
    private _runtimeConfigCustomEndpoint?;
    /**
     *
     */
    get runtimeConfigCustomEndpoint(): string | undefined;
    /**
     *
     */
    set runtimeConfigCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetRuntimeConfigCustomEndpoint(): void;
    /**
     *
     */
    get runtimeConfigCustomEndpointInput(): string | undefined;
    private _runtimeconfigCustomEndpoint?;
    /**
     *
     */
    get runtimeconfigCustomEndpoint(): string | undefined;
    /**
     *
     */
    set runtimeconfigCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetRuntimeconfigCustomEndpoint(): void;
    /**
     *
     */
    get runtimeconfigCustomEndpointInput(): string | undefined;
    private _scopes?;
    /**
     *
     */
    get scopes(): string[] | undefined;
    /**
     *
     */
    set scopes(value: string[] | undefined);
    /**
     *
     */
    resetScopes(): void;
    /**
     *
     */
    get scopesInput(): string[] | undefined;
    private _secretManagerCustomEndpoint?;
    /**
     *
     */
    get secretManagerCustomEndpoint(): string | undefined;
    /**
     *
     */
    set secretManagerCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetSecretManagerCustomEndpoint(): void;
    /**
     *
     */
    get secretManagerCustomEndpointInput(): string | undefined;
    private _securityCenterCustomEndpoint?;
    /**
     *
     */
    get securityCenterCustomEndpoint(): string | undefined;
    /**
     *
     */
    set securityCenterCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetSecurityCenterCustomEndpoint(): void;
    /**
     *
     */
    get securityCenterCustomEndpointInput(): string | undefined;
    private _serviceManagementCustomEndpoint?;
    /**
     *
     */
    get serviceManagementCustomEndpoint(): string | undefined;
    /**
     *
     */
    set serviceManagementCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetServiceManagementCustomEndpoint(): void;
    /**
     *
     */
    get serviceManagementCustomEndpointInput(): string | undefined;
    private _serviceNetworkingCustomEndpoint?;
    /**
     *
     */
    get serviceNetworkingCustomEndpoint(): string | undefined;
    /**
     *
     */
    set serviceNetworkingCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetServiceNetworkingCustomEndpoint(): void;
    /**
     *
     */
    get serviceNetworkingCustomEndpointInput(): string | undefined;
    private _serviceUsageCustomEndpoint?;
    /**
     *
     */
    get serviceUsageCustomEndpoint(): string | undefined;
    /**
     *
     */
    set serviceUsageCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetServiceUsageCustomEndpoint(): void;
    /**
     *
     */
    get serviceUsageCustomEndpointInput(): string | undefined;
    private _sourceRepoCustomEndpoint?;
    /**
     *
     */
    get sourceRepoCustomEndpoint(): string | undefined;
    /**
     *
     */
    set sourceRepoCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetSourceRepoCustomEndpoint(): void;
    /**
     *
     */
    get sourceRepoCustomEndpointInput(): string | undefined;
    private _spannerCustomEndpoint?;
    /**
     *
     */
    get spannerCustomEndpoint(): string | undefined;
    /**
     *
     */
    set spannerCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetSpannerCustomEndpoint(): void;
    /**
     *
     */
    get spannerCustomEndpointInput(): string | undefined;
    private _sqlCustomEndpoint?;
    /**
     *
     */
    get sqlCustomEndpoint(): string | undefined;
    /**
     *
     */
    set sqlCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetSqlCustomEndpoint(): void;
    /**
     *
     */
    get sqlCustomEndpointInput(): string | undefined;
    private _storageCustomEndpoint?;
    /**
     *
     */
    get storageCustomEndpoint(): string | undefined;
    /**
     *
     */
    set storageCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetStorageCustomEndpoint(): void;
    /**
     *
     */
    get storageCustomEndpointInput(): string | undefined;
    private _storageTransferCustomEndpoint?;
    /**
     *
     */
    get storageTransferCustomEndpoint(): string | undefined;
    /**
     *
     */
    set storageTransferCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetStorageTransferCustomEndpoint(): void;
    /**
     *
     */
    get storageTransferCustomEndpointInput(): string | undefined;
    private _tpuCustomEndpoint?;
    /**
     *
     */
    get tpuCustomEndpoint(): string | undefined;
    /**
     *
     */
    set tpuCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetTpuCustomEndpoint(): void;
    /**
     *
     */
    get tpuCustomEndpointInput(): string | undefined;
    private _userProjectOverride?;
    /**
     *
     */
    get userProjectOverride(): boolean | undefined;
    /**
     *
     */
    set userProjectOverride(value: boolean | undefined);
    /**
     *
     */
    resetUserProjectOverride(): void;
    /**
     *
     */
    get userProjectOverrideInput(): boolean | undefined;
    private _vpcAccessCustomEndpoint?;
    /**
     *
     */
    get vpcAccessCustomEndpoint(): string | undefined;
    /**
     *
     */
    set vpcAccessCustomEndpoint(value: string | undefined);
    /**
     *
     */
    resetVpcAccessCustomEndpoint(): void;
    /**
     *
     */
    get vpcAccessCustomEndpointInput(): string | undefined;
    private _zone?;
    /**
     *
     */
    get zone(): string | undefined;
    /**
     *
     */
    set zone(value: string | undefined);
    /**
     *
     */
    resetZone(): void;
    /**
     *
     */
    get zoneInput(): string | undefined;
    private _alias?;
    /**
     *
     */
    get alias(): string | undefined;
    /**
     *
     */
    set alias(value: string | undefined);
    /**
     *
     */
    resetAlias(): void;
    /**
     *
     */
    get aliasInput(): string | undefined;
    private _batching?;
    /**
     *
     */
    get batching(): GoogleProviderBatching[] | undefined;
    /**
     *
     */
    set batching(value: GoogleProviderBatching[] | undefined);
    /**
     *
     */
    resetBatching(): void;
    /**
     *
     */
    get batchingInput(): GoogleProviderBatching[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
