import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HealthcareDicomStoreIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly dicomStoreId: string;
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: HealthcareDicomStoreIamMemberCondition[];
}
/**
 *
 */
export interface HealthcareDicomStoreIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class HealthcareDicomStoreIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HealthcareDicomStoreIamMemberConfig);
    private _dicomStoreId;
    /**
     *
     */
    get dicomStoreId(): string;
    /**
     *
     */
    set dicomStoreId(value: string);
    /**
     *
     */
    get dicomStoreIdInput(): string;
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): HealthcareDicomStoreIamMemberCondition[];
    /**
     *
     */
    set condition(value: HealthcareDicomStoreIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): HealthcareDicomStoreIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
