import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HealthcareFhirStoreIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly fhirStoreId: string;
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: HealthcareFhirStoreIamBindingCondition[];
}
/**
 *
 */
export interface HealthcareFhirStoreIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class HealthcareFhirStoreIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HealthcareFhirStoreIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    private _fhirStoreId;
    /**
     *
     */
    get fhirStoreId(): string;
    /**
     *
     */
    set fhirStoreId(value: string);
    /**
     *
     */
    get fhirStoreIdInput(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): HealthcareFhirStoreIamBindingCondition[];
    /**
     *
     */
    set condition(value: HealthcareFhirStoreIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): HealthcareFhirStoreIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
