import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HealthcareHl7V2StoreIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly hl7V2StoreId: string;
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: HealthcareHl7V2StoreIamBindingCondition[];
}
/**
 *
 */
export interface HealthcareHl7V2StoreIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class HealthcareHl7V2StoreIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HealthcareHl7V2StoreIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    private _hl7V2StoreId;
    /**
     *
     */
    get hl7V2StoreId(): string;
    /**
     *
     */
    set hl7V2StoreId(value: string);
    /**
     *
     */
    get hl7V2StoreIdInput(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): HealthcareHl7V2StoreIamBindingCondition[];
    /**
     *
     */
    set condition(value: HealthcareHl7V2StoreIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): HealthcareHl7V2StoreIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
