import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HealthcareHl7V2StoreIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly hl7V2StoreId: string;
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: HealthcareHl7V2StoreIamMemberCondition[];
}
/**
 *
 */
export interface HealthcareHl7V2StoreIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class HealthcareHl7V2StoreIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HealthcareHl7V2StoreIamMemberConfig);
    /**
     *
     */
    get etag(): string;
    private _hl7V2StoreId;
    /**
     *
     */
    get hl7V2StoreId(): string;
    /**
     *
     */
    set hl7V2StoreId(value: string);
    /**
     *
     */
    get hl7V2StoreIdInput(): string;
    /**
     *
     */
    get id(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): HealthcareHl7V2StoreIamMemberCondition[];
    /**
     *
     */
    set condition(value: HealthcareHl7V2StoreIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): HealthcareHl7V2StoreIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
