import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IapAppEngineVersionIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly appId: string;
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly service: string;
    /**
     *
     */
    readonly versionId: string;
    /**
     * condition block.
     */
    readonly condition?: IapAppEngineVersionIamMemberCondition[];
}
/**
 *
 */
export interface IapAppEngineVersionIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class IapAppEngineVersionIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IapAppEngineVersionIamMemberConfig);
    private _appId;
    /**
     *
     */
    get appId(): string;
    /**
     *
     */
    set appId(value: string);
    /**
     *
     */
    get appIdInput(): string;
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _service;
    /**
     *
     */
    get service(): string;
    /**
     *
     */
    set service(value: string);
    /**
     *
     */
    get serviceInput(): string;
    private _versionId;
    /**
     *
     */
    get versionId(): string;
    /**
     *
     */
    set versionId(value: string);
    /**
     *
     */
    get versionIdInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): IapAppEngineVersionIamMemberCondition[];
    /**
     *
     */
    set condition(value: IapAppEngineVersionIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): IapAppEngineVersionIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
