import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IdentityPlatformTenantOauthIdpConfigConfig extends TerraformMetaArguments {
    /**
     * The client id of an OAuth client.
     */
    readonly clientId: string;
    /**
     * The client secret of the OAuth client, to enable OIDC code flow.
     */
    readonly clientSecret?: string;
    /**
     * Human friendly display name.
     */
    readonly displayName: string;
    /**
     * If this config allows users to sign in with the provider.
     */
    readonly enabled?: boolean;
    /**
     * For OIDC Idps, the issuer identifier.
     */
    readonly issuer: string;
    /**
     * The name of the OauthIdpConfig.
     *
     * Must start with 'oidc.'.
     */
    readonly name: string;
    /**
     *
     */
    readonly project?: string;
    /**
     * The name of the tenant where this OIDC IDP configuration resource exists.
     */
    readonly tenant: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IdentityPlatformTenantOauthIdpConfigTimeouts;
}
/**
 *
 */
export interface IdentityPlatformTenantOauthIdpConfigTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class IdentityPlatformTenantOauthIdpConfig extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IdentityPlatformTenantOauthIdpConfigConfig);
    private _clientId;
    /**
     *
     */
    get clientId(): string;
    /**
     *
     */
    set clientId(value: string);
    /**
     *
     */
    get clientIdInput(): string;
    private _clientSecret?;
    /**
     *
     */
    get clientSecret(): string;
    /**
     *
     */
    set clientSecret(value: string);
    /**
     *
     */
    resetClientSecret(): void;
    /**
     *
     */
    get clientSecretInput(): string | undefined;
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    /**
     *
     */
    get displayNameInput(): string;
    private _enabled?;
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    set enabled(value: boolean);
    /**
     *
     */
    resetEnabled(): void;
    /**
     *
     */
    get enabledInput(): boolean | undefined;
    /**
     *
     */
    get id(): string;
    private _issuer;
    /**
     *
     */
    get issuer(): string;
    /**
     *
     */
    set issuer(value: string);
    /**
     *
     */
    get issuerInput(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _tenant;
    /**
     *
     */
    get tenant(): string;
    /**
     *
     */
    set tenant(value: string);
    /**
     *
     */
    get tenantInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): IdentityPlatformTenantOauthIdpConfigTimeouts;
    /**
     *
     */
    set timeouts(value: IdentityPlatformTenantOauthIdpConfigTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): IdentityPlatformTenantOauthIdpConfigTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
