import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IdentityPlatformTenantConfig extends TerraformMetaArguments {
    /**
     * Whether to allow email/password user authentication.
     */
    readonly allowPasswordSignup?: boolean;
    /**
     * Whether authentication is disabled for the tenant.
     *
     * If true, the users under
     * the disabled tenant are not allowed to sign-in. Admins of the disabled tenant
     * are not able to manage its users.
     */
    readonly disableAuth?: boolean;
    /**
     * Human friendly display name of the tenant.
     */
    readonly displayName: string;
    /**
     * Whether to enable email link user authentication.
     */
    readonly enableEmailLinkSignin?: boolean;
    /**
     *
     */
    readonly project?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IdentityPlatformTenantTimeouts;
}
/**
 *
 */
export interface IdentityPlatformTenantTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class IdentityPlatformTenant extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IdentityPlatformTenantConfig);
    private _allowPasswordSignup?;
    /**
     *
     */
    get allowPasswordSignup(): boolean;
    /**
     *
     */
    set allowPasswordSignup(value: boolean);
    /**
     *
     */
    resetAllowPasswordSignup(): void;
    /**
     *
     */
    get allowPasswordSignupInput(): boolean | undefined;
    private _disableAuth?;
    /**
     *
     */
    get disableAuth(): boolean;
    /**
     *
     */
    set disableAuth(value: boolean);
    /**
     *
     */
    resetDisableAuth(): void;
    /**
     *
     */
    get disableAuthInput(): boolean | undefined;
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    /**
     *
     */
    get displayNameInput(): string;
    private _enableEmailLinkSignin?;
    /**
     *
     */
    get enableEmailLinkSignin(): boolean;
    /**
     *
     */
    set enableEmailLinkSignin(value: boolean);
    /**
     *
     */
    resetEnableEmailLinkSignin(): void;
    /**
     *
     */
    get enableEmailLinkSigninInput(): boolean | undefined;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get name(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): IdentityPlatformTenantTimeouts;
    /**
     *
     */
    set timeouts(value: IdentityPlatformTenantTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): IdentityPlatformTenantTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
