import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KmsCryptoKeyIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly cryptoKeyId: string;
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: KmsCryptoKeyIamBindingCondition[];
}
/**
 *
 */
export interface KmsCryptoKeyIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class KmsCryptoKeyIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KmsCryptoKeyIamBindingConfig);
    private _cryptoKeyId;
    /**
     *
     */
    get cryptoKeyId(): string;
    /**
     *
     */
    set cryptoKeyId(value: string);
    /**
     *
     */
    get cryptoKeyIdInput(): string;
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): KmsCryptoKeyIamBindingCondition[];
    /**
     *
     */
    set condition(value: KmsCryptoKeyIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): KmsCryptoKeyIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
