import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KmsKeyRingConfig extends TerraformMetaArguments {
    /**
     * The location for the KeyRing.
     *
     * A full list of valid locations can be found by running 'gcloud kms locations list'.
     */
    readonly location: string;
    /**
     * The resource name for the KeyRing.
     */
    readonly name: string;
    /**
     *
     */
    readonly project?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KmsKeyRingTimeouts;
}
/**
 *
 */
export interface KmsKeyRingTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
}
/**
 *
 */
export declare class KmsKeyRing extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KmsKeyRingConfig);
    /**
     *
     */
    get id(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get locationInput(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    get selfLink(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): KmsKeyRingTimeouts;
    /**
     *
     */
    set timeouts(value: KmsKeyRingTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): KmsKeyRingTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
