import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LoggingOrganizationBucketConfigConfig extends TerraformMetaArguments {
    /**
     * The name of the logging bucket.
     *
     * Logging automatically creates two log buckets: _Required and _Default.
     */
    readonly bucketId: string;
    /**
     * An optional description for this bucket.
     */
    readonly description?: string;
    /**
     * The location of the bucket.
     */
    readonly location: string;
    /**
     * The parent resource that contains the logging bucket.
     */
    readonly organization: string;
    /**
     * Logs will be retained by default for this amount of time, after which they will automatically be deleted.
     *
     * The minimum retention period is 1 day. If this value is set to zero at bucket creation time, the default time of 30 days will be used.
     */
    readonly retentionDays?: number;
}
/**
 *
 */
export declare class LoggingOrganizationBucketConfig extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LoggingOrganizationBucketConfigConfig);
    private _bucketId;
    /**
     *
     */
    get bucketId(): string;
    /**
     *
     */
    set bucketId(value: string);
    /**
     *
     */
    get bucketIdInput(): string;
    private _description?;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    set description(value: string);
    /**
     *
     */
    resetDescription(): void;
    /**
     *
     */
    get descriptionInput(): string | undefined;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get lifecycleState(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get locationInput(): string;
    /**
     *
     */
    get name(): string;
    private _organization;
    /**
     *
     */
    get organization(): string;
    /**
     *
     */
    set organization(value: string);
    /**
     *
     */
    get organizationInput(): string;
    private _retentionDays?;
    /**
     *
     */
    get retentionDays(): number;
    /**
     *
     */
    set retentionDays(value: number);
    /**
     *
     */
    resetRetentionDays(): void;
    /**
     *
     */
    get retentionDaysInput(): number | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
