import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LoggingOrganizationExclusionConfig extends TerraformMetaArguments {
    /**
     * A human-readable description.
     */
    readonly description?: string;
    /**
     * Whether this exclusion rule should be disabled or not.
     *
     * This defaults to false.
     */
    readonly disabled?: boolean;
    /**
     * The filter to apply when excluding logs.
     *
     * Only log entries that match the filter are excluded.
     */
    readonly filter: string;
    /**
     * The name of the logging exclusion.
     */
    readonly name: string;
    /**
     *
     */
    readonly orgId: string;
}
/**
 *
 */
export declare class LoggingOrganizationExclusion extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LoggingOrganizationExclusionConfig);
    private _description?;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    set description(value: string);
    /**
     *
     */
    resetDescription(): void;
    /**
     *
     */
    get descriptionInput(): string | undefined;
    private _disabled?;
    /**
     *
     */
    get disabled(): boolean;
    /**
     *
     */
    set disabled(value: boolean);
    /**
     *
     */
    resetDisabled(): void;
    /**
     *
     */
    get disabledInput(): boolean | undefined;
    private _filter;
    /**
     *
     */
    get filter(): string;
    /**
     *
     */
    set filter(value: string);
    /**
     *
     */
    get filterInput(): string;
    /**
     *
     */
    get id(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _orgId;
    /**
     *
     */
    get orgId(): string;
    /**
     *
     */
    set orgId(value: string);
    /**
     *
     */
    get orgIdInput(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
