import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface OrganizationIamAuditConfigConfig extends TerraformMetaArguments {
    /**
     * The numeric ID of the organization in which you want to manage the audit logging config.
     */
    readonly orgId: string;
    /**
     * Service which will be enabled for audit logging.
     *
     * The special value allServices covers all services.
     */
    readonly service: string;
    /**
     * audit_log_config block.
     */
    readonly auditLogConfig: OrganizationIamAuditConfigAuditLogConfig[];
}
/**
 *
 */
export interface OrganizationIamAuditConfigAuditLogConfig {
    /**
     * Identities that do not cause logging for this type of permission.
     *
     * Each entry can have one of the following values:user:{emailid}: An email address that represents a specific Google account. For example, alice@gmail.com or joe@example.com. serviceAccount:{emailid}: An email address that represents a service account. For example, my-other-app@appspot.gserviceaccount.com. group:{emailid}: An email address that represents a Google group. For example, admins@example.com. domain:{domain}: A G Suite domain (primary, instead of alias) name that represents all the users of that domain. For example, google.com or example.com.
     */
    readonly exemptedMembers?: string[];
    /**
     * Permission type for which logging is to be configured.
     *
     * Must be one of DATA_READ, DATA_WRITE, or ADMIN_READ.
     */
    readonly logType: string;
}
/**
 *
 */
export declare class OrganizationIamAuditConfig extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: OrganizationIamAuditConfigConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _orgId;
    /**
     *
     */
    get orgId(): string;
    /**
     *
     */
    set orgId(value: string);
    /**
     *
     */
    get orgIdInput(): string;
    private _service;
    /**
     *
     */
    get service(): string;
    /**
     *
     */
    set service(value: string);
    /**
     *
     */
    get serviceInput(): string;
    private _auditLogConfig;
    /**
     *
     */
    get auditLogConfig(): OrganizationIamAuditConfigAuditLogConfig[];
    /**
     *
     */
    set auditLogConfig(value: OrganizationIamAuditConfigAuditLogConfig[]);
    /**
     *
     */
    get auditLogConfigInput(): OrganizationIamAuditConfigAuditLogConfig[];
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
