import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface OrganizationIamCustomRoleConfig extends TerraformMetaArguments {
    /**
     * A human-readable description for the role.
     */
    readonly description?: string;
    /**
     * The numeric ID of the organization in which you want to create a custom role.
     */
    readonly orgId: string;
    /**
     * The names of the permissions this role grants when bound in an IAM policy.
     *
     * At least one permission must be specified.
     */
    readonly permissions: string[];
    /**
     * The role id to use for this role.
     */
    readonly roleId: string;
    /**
     * The current launch stage of the role.
     *
     * Defaults to GA.
     */
    readonly stage?: string;
    /**
     * A human-readable title for the role.
     */
    readonly title: string;
}
/**
 *
 */
export declare class OrganizationIamCustomRole extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: OrganizationIamCustomRoleConfig);
    /**
     *
     */
    get deleted(): boolean;
    private _description?;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    set description(value: string);
    /**
     *
     */
    resetDescription(): void;
    /**
     *
     */
    get descriptionInput(): string | undefined;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get name(): string;
    private _orgId;
    /**
     *
     */
    get orgId(): string;
    /**
     *
     */
    set orgId(value: string);
    /**
     *
     */
    get orgIdInput(): string;
    private _permissions;
    /**
     *
     */
    get permissions(): string[];
    /**
     *
     */
    set permissions(value: string[]);
    /**
     *
     */
    get permissionsInput(): string[];
    private _roleId;
    /**
     *
     */
    get roleId(): string;
    /**
     *
     */
    set roleId(value: string);
    /**
     *
     */
    get roleIdInput(): string;
    private _stage?;
    /**
     *
     */
    get stage(): string;
    /**
     *
     */
    set stage(value: string);
    /**
     *
     */
    resetStage(): void;
    /**
     *
     */
    get stageInput(): string | undefined;
    private _title;
    /**
     *
     */
    get title(): string;
    /**
     *
     */
    set title(value: string);
    /**
     *
     */
    get titleInput(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
