import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface OsLoginSshPublicKeyConfig extends TerraformMetaArguments {
    /**
     * An expiration time in microseconds since epoch.
     */
    readonly expirationTimeUsec?: string;
    /**
     * Public key text in SSH format, defined by RFC4253 section 6.6.
     */
    readonly key: string;
    /**
     * The project ID of the Google Cloud Platform project.
     */
    readonly project?: string;
    /**
     * The user email.
     */
    readonly user: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: OsLoginSshPublicKeyTimeouts;
}
/**
 *
 */
export interface OsLoginSshPublicKeyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class OsLoginSshPublicKey extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: OsLoginSshPublicKeyConfig);
    private _expirationTimeUsec?;
    /**
     *
     */
    get expirationTimeUsec(): string;
    /**
     *
     */
    set expirationTimeUsec(value: string);
    /**
     *
     */
    resetExpirationTimeUsec(): void;
    /**
     *
     */
    get expirationTimeUsecInput(): string | undefined;
    /**
     *
     */
    get fingerprint(): string;
    /**
     *
     */
    get id(): string;
    private _key;
    /**
     *
     */
    get key(): string;
    /**
     *
     */
    set key(value: string);
    /**
     *
     */
    get keyInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _user;
    /**
     *
     */
    get user(): string;
    /**
     *
     */
    set user(value: string);
    /**
     *
     */
    get userInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): OsLoginSshPublicKeyTimeouts;
    /**
     *
     */
    set timeouts(value: OsLoginSshPublicKeyTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): OsLoginSshPublicKeyTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
