import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ProjectDefaultServiceAccountsConfig extends TerraformMetaArguments {
    /**
     * The action to be performed in the default service accounts.
     *
     * Valid values are: DEPRIVILEGE, DELETE, DISABLE.
     * Note that DEPRIVILEGE action will ignore the REVERT configuration in the restore_policy.
     */
    readonly action: string;
    /**
     * The project ID where service accounts are created.
     */
    readonly project: string;
    /**
     * The action to be performed in the default service accounts on the resource destroy.
     *
     * Valid values are NONE and REVERT. If set to REVERT it will attempt to restore all default SAs but in the DEPRIVILEGE action.
     */
    readonly restorePolicy?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ProjectDefaultServiceAccountsTimeouts;
}
/**
 *
 */
export interface ProjectDefaultServiceAccountsTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class ProjectDefaultServiceAccounts extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ProjectDefaultServiceAccountsConfig);
    private _action;
    /**
     *
     */
    get action(): string;
    /**
     *
     */
    set action(value: string);
    /**
     *
     */
    get actionInput(): string;
    /**
     *
     */
    get id(): string;
    private _project;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    get projectInput(): string;
    private _restorePolicy?;
    /**
     *
     */
    get restorePolicy(): string;
    /**
     *
     */
    set restorePolicy(value: string);
    /**
     *
     */
    resetRestorePolicy(): void;
    /**
     *
     */
    get restorePolicyInput(): string | undefined;
    /**
     *
     */
    serviceAccounts(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ProjectDefaultServiceAccountsTimeouts;
    /**
     *
     */
    set timeouts(value: ProjectDefaultServiceAccountsTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ProjectDefaultServiceAccountsTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
