import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ProjectServiceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly disableDependentServices?: boolean;
    /**
     *
     */
    readonly disableOnDestroy?: boolean;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly service: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ProjectServiceTimeouts;
}
/**
 *
 */
export interface ProjectServiceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ProjectService extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ProjectServiceConfig);
    private _disableDependentServices?;
    /**
     *
     */
    get disableDependentServices(): boolean;
    /**
     *
     */
    set disableDependentServices(value: boolean);
    /**
     *
     */
    resetDisableDependentServices(): void;
    /**
     *
     */
    get disableDependentServicesInput(): boolean | undefined;
    private _disableOnDestroy?;
    /**
     *
     */
    get disableOnDestroy(): boolean;
    /**
     *
     */
    set disableOnDestroy(value: boolean);
    /**
     *
     */
    resetDisableOnDestroy(): void;
    /**
     *
     */
    get disableOnDestroyInput(): boolean | undefined;
    /**
     *
     */
    get id(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _service;
    /**
     *
     */
    get service(): string;
    /**
     *
     */
    set service(value: string);
    /**
     *
     */
    get serviceInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ProjectServiceTimeouts;
    /**
     *
     */
    set timeouts(value: ProjectServiceTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ProjectServiceTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
