import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PubsubSubscriptionIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly subscription: string;
    /**
     * condition block.
     */
    readonly condition?: PubsubSubscriptionIamBindingCondition[];
}
/**
 *
 */
export interface PubsubSubscriptionIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class PubsubSubscriptionIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PubsubSubscriptionIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _subscription;
    /**
     *
     */
    get subscription(): string;
    /**
     *
     */
    set subscription(value: string);
    /**
     *
     */
    get subscriptionInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): PubsubSubscriptionIamBindingCondition[];
    /**
     *
     */
    set condition(value: PubsubSubscriptionIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): PubsubSubscriptionIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
