import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PubsubSubscriptionIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly subscription: string;
    /**
     * condition block.
     */
    readonly condition?: PubsubSubscriptionIamMemberCondition[];
}
/**
 *
 */
export interface PubsubSubscriptionIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class PubsubSubscriptionIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PubsubSubscriptionIamMemberConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _subscription;
    /**
     *
     */
    get subscription(): string;
    /**
     *
     */
    set subscription(value: string);
    /**
     *
     */
    get subscriptionInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): PubsubSubscriptionIamMemberCondition[];
    /**
     *
     */
    set condition(value: PubsubSubscriptionIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): PubsubSubscriptionIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
