import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PubsubTopicIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly topic: string;
    /**
     * condition block.
     */
    readonly condition?: PubsubTopicIamBindingCondition[];
}
/**
 *
 */
export interface PubsubTopicIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class PubsubTopicIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PubsubTopicIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _topic;
    /**
     *
     */
    get topic(): string;
    /**
     *
     */
    set topic(value: string);
    /**
     *
     */
    get topicInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): PubsubTopicIamBindingCondition[];
    /**
     *
     */
    set condition(value: PubsubTopicIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): PubsubTopicIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
