import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PubsubTopicIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly topic: string;
    /**
     * condition block.
     */
    readonly condition?: PubsubTopicIamMemberCondition[];
}
/**
 *
 */
export interface PubsubTopicIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class PubsubTopicIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PubsubTopicIamMemberConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _topic;
    /**
     *
     */
    get topic(): string;
    /**
     *
     */
    set topic(value: string);
    /**
     *
     */
    get topicInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): PubsubTopicIamMemberCondition[];
    /**
     *
     */
    set condition(value: PubsubTopicIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): PubsubTopicIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
