import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SecretManagerSecretIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly secretId: string;
    /**
     * condition block.
     */
    readonly condition?: SecretManagerSecretIamBindingCondition[];
}
/**
 *
 */
export interface SecretManagerSecretIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class SecretManagerSecretIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SecretManagerSecretIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _secretId;
    /**
     *
     */
    get secretId(): string;
    /**
     *
     */
    set secretId(value: string);
    /**
     *
     */
    get secretIdInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): SecretManagerSecretIamBindingCondition[];
    /**
     *
     */
    set condition(value: SecretManagerSecretIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): SecretManagerSecretIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
