import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SecretManagerSecretIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly project?: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly secretId: string;
    /**
     * condition block.
     */
    readonly condition?: SecretManagerSecretIamMemberCondition[];
}
/**
 *
 */
export interface SecretManagerSecretIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class SecretManagerSecretIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SecretManagerSecretIamMemberConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _secretId;
    /**
     *
     */
    get secretId(): string;
    /**
     *
     */
    set secretId(value: string);
    /**
     *
     */
    get secretIdInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): SecretManagerSecretIamMemberCondition[];
    /**
     *
     */
    set condition(value: SecretManagerSecretIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): SecretManagerSecretIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
