import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ServiceAccountIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly serviceAccountId: string;
    /**
     * condition block.
     */
    readonly condition?: ServiceAccountIamBindingCondition[];
}
/**
 *
 */
export interface ServiceAccountIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class ServiceAccountIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ServiceAccountIamBindingConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _serviceAccountId;
    /**
     *
     */
    get serviceAccountId(): string;
    /**
     *
     */
    set serviceAccountId(value: string);
    /**
     *
     */
    get serviceAccountIdInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): ServiceAccountIamBindingCondition[];
    /**
     *
     */
    set condition(value: ServiceAccountIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): ServiceAccountIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
