import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ServiceAccountIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly serviceAccountId: string;
    /**
     * condition block.
     */
    readonly condition?: ServiceAccountIamMemberCondition[];
}
/**
 *
 */
export interface ServiceAccountIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class ServiceAccountIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ServiceAccountIamMemberConfig);
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _serviceAccountId;
    /**
     *
     */
    get serviceAccountId(): string;
    /**
     *
     */
    set serviceAccountId(value: string);
    /**
     *
     */
    get serviceAccountIdInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): ServiceAccountIamMemberCondition[];
    /**
     *
     */
    set condition(value: ServiceAccountIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): ServiceAccountIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
