import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageBucketAccessControlConfig extends TerraformMetaArguments {
    /**
     * The name of the bucket.
     */
    readonly bucket: string;
    /**
     * The entity holding the permission, in one of the following forms: user-userId user-email group-groupId group-email domain-domain project-team-projectId allUsers allAuthenticatedUsers Examples: The user liz@example.com would be user-liz@example.com. The group example@googlegroups.com would be group-example@googlegroups.com. To refer to all members of the Google Apps for Business domain example.com, the entity would be domain-example.com.
     */
    readonly entity: string;
    /**
     * The access permission for the entity.
     *
     * Possible values: ["OWNER", "READER", "WRITER"]
     */
    readonly role?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageBucketAccessControlTimeouts;
}
/**
 *
 */
export interface StorageBucketAccessControlTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageBucketAccessControl extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageBucketAccessControlConfig);
    private _bucket;
    /**
     *
     */
    get bucket(): string;
    /**
     *
     */
    set bucket(value: string);
    /**
     *
     */
    get bucketInput(): string;
    /**
     *
     */
    get domain(): string;
    /**
     *
     */
    get email(): string;
    private _entity;
    /**
     *
     */
    get entity(): string;
    /**
     *
     */
    set entity(value: string);
    /**
     *
     */
    get entityInput(): string;
    /**
     *
     */
    get id(): string;
    private _role?;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    resetRole(): void;
    /**
     *
     */
    get roleInput(): string | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageBucketAccessControlTimeouts;
    /**
     *
     */
    set timeouts(value: StorageBucketAccessControlTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): StorageBucketAccessControlTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
