import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageBucketAclConfig extends TerraformMetaArguments {
    /**
     * The name of the bucket it applies to.
     */
    readonly bucket: string;
    /**
     * Configure this ACL to be the default ACL.
     */
    readonly defaultAcl?: string;
    /**
     * The canned GCS ACL to apply.
     *
     * Must be set if role_entity is not.
     */
    readonly predefinedAcl?: string;
    /**
     * List of role/entity pairs in the form ROLE:entity.
     *
     * See GCS Bucket ACL documentation  for more details. Must be set if predefined_acl is not.
     */
    readonly roleEntity?: string[];
}
/**
 *
 */
export declare class StorageBucketAcl extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageBucketAclConfig);
    private _bucket;
    /**
     *
     */
    get bucket(): string;
    /**
     *
     */
    set bucket(value: string);
    /**
     *
     */
    get bucketInput(): string;
    private _defaultAcl?;
    /**
     *
     */
    get defaultAcl(): string;
    /**
     *
     */
    set defaultAcl(value: string);
    /**
     *
     */
    resetDefaultAcl(): void;
    /**
     *
     */
    get defaultAclInput(): string | undefined;
    /**
     *
     */
    get id(): string;
    private _predefinedAcl?;
    /**
     *
     */
    get predefinedAcl(): string;
    /**
     *
     */
    set predefinedAcl(value: string);
    /**
     *
     */
    resetPredefinedAcl(): void;
    /**
     *
     */
    get predefinedAclInput(): string | undefined;
    private _roleEntity?;
    /**
     *
     */
    get roleEntity(): string[];
    /**
     *
     */
    set roleEntity(value: string[]);
    /**
     *
     */
    resetRoleEntity(): void;
    /**
     *
     */
    get roleEntityInput(): string[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
