import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageBucketIamBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly bucket: string;
    /**
     *
     */
    readonly members: string[];
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: StorageBucketIamBindingCondition[];
}
/**
 *
 */
export interface StorageBucketIamBindingCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class StorageBucketIamBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageBucketIamBindingConfig);
    private _bucket;
    /**
     *
     */
    get bucket(): string;
    /**
     *
     */
    set bucket(value: string);
    /**
     *
     */
    get bucketInput(): string;
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _members;
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    set members(value: string[]);
    /**
     *
     */
    get membersInput(): string[];
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): StorageBucketIamBindingCondition[];
    /**
     *
     */
    set condition(value: StorageBucketIamBindingCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): StorageBucketIamBindingCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
