import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageBucketIamMemberConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly bucket: string;
    /**
     *
     */
    readonly member: string;
    /**
     *
     */
    readonly role: string;
    /**
     * condition block.
     */
    readonly condition?: StorageBucketIamMemberCondition[];
}
/**
 *
 */
export interface StorageBucketIamMemberCondition {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expression: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class StorageBucketIamMember extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageBucketIamMemberConfig);
    private _bucket;
    /**
     *
     */
    get bucket(): string;
    /**
     *
     */
    set bucket(value: string);
    /**
     *
     */
    get bucketInput(): string;
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _member;
    /**
     *
     */
    get member(): string;
    /**
     *
     */
    set member(value: string);
    /**
     *
     */
    get memberInput(): string;
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    /**
     *
     */
    get roleInput(): string;
    private _condition?;
    /**
     *
     */
    get condition(): StorageBucketIamMemberCondition[];
    /**
     *
     */
    set condition(value: StorageBucketIamMemberCondition[]);
    /**
     *
     */
    resetCondition(): void;
    /**
     *
     */
    get conditionInput(): StorageBucketIamMemberCondition[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
