import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageHmacKeyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly project?: string;
    /**
     * The email address of the key's associated service account.
     */
    readonly serviceAccountEmail: string;
    /**
     * The state of the key.
     *
     * Can be set to one of ACTIVE, INACTIVE. Default value: "ACTIVE" Possible values: ["ACTIVE", "INACTIVE"]
     */
    readonly state?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageHmacKeyTimeouts;
}
/**
 *
 */
export interface StorageHmacKeyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageHmacKey extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageHmacKeyConfig);
    /**
     *
     */
    get accessId(): string;
    /**
     *
     */
    get id(): string;
    private _project?;
    /**
     *
     */
    get project(): string;
    /**
     *
     */
    set project(value: string);
    /**
     *
     */
    resetProject(): void;
    /**
     *
     */
    get projectInput(): string | undefined;
    /**
     *
     */
    get secret(): string;
    private _serviceAccountEmail;
    /**
     *
     */
    get serviceAccountEmail(): string;
    /**
     *
     */
    set serviceAccountEmail(value: string);
    /**
     *
     */
    get serviceAccountEmailInput(): string;
    private _state?;
    /**
     *
     */
    get state(): string;
    /**
     *
     */
    set state(value: string);
    /**
     *
     */
    resetState(): void;
    /**
     *
     */
    get stateInput(): string | undefined;
    /**
     *
     */
    get timeCreated(): string;
    /**
     *
     */
    get updated(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageHmacKeyTimeouts;
    /**
     *
     */
    set timeouts(value: StorageHmacKeyTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): StorageHmacKeyTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
